/*
 * ===========================================
 * Podlove Web Player v2.0.22
 * Licensed under The BSD 2-Clause License
 * http://opensource.org/licenses/BSD-2-Clause
 * ===========================================
 * Copyright (c) 2013, Gerrit van Aaken (https://github.com/gerritvanaaken/), Simon Waldherr (https://github.com/simonwaldherr/), Frank Hase (https://github.com/Kambfhase/), Eric Teubert (https://github.com/eteubert/) and others (https://github.com/podlove/podlove-web-player/contributors)
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
 *
 * - Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 * - Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *//*jslint browser: true, plusplus: true, unparam: true, vars: true, white: true *//*global window, jQuery *//*!
 *
 * MediaElement.js
 * HTML5 <video> and <audio> shim and player
 * http://mediaelementjs.com/
 *
 * Creates a JavaScript object that mimics HTML5 MediaElement API
 * for browsers that don't understand HTML5 or can't play the provided codec
 * Can play MP4 (H.264), Ogg, WebM, FLV, WMV, WMA, ACC, and MP3
 *
 * Copyright 2010-2014, John Dyer (http://j.hn)
 * License: MIT
 *
 */var mejs=mejs||{};mejs.version="2.23.5",mejs.meIndex=0,mejs.plugins={silverlight:[{version:[3,0],types:["video/mp4","video/m4v","video/mov","video/wmv","audio/wma","audio/m4a","audio/mp3","audio/wav","audio/mpeg"]}],flash:[{version:[9,0,124],types:["video/mp4","video/m4v","video/mov","video/flv","video/rtmp","video/x-flv","audio/flv","audio/x-flv","audio/mp3","audio/m4a","audio/mp4","audio/mpeg","video/dailymotion","video/x-dailymotion","application/x-mpegURL","audio/ogg"]}],youtube:[{version:null,types:["video/youtube","video/x-youtube","audio/youtube","audio/x-youtube"]}],vimeo:[{version:null,types:["video/vimeo","video/x-vimeo"]}]},mejs.Utility={encodeUrl:function(e){return encodeURIComponent(e)},escapeHTML:function(e){return e.toString().split("&").join("&amp;").split("<").join("&lt;").split('"').join("&quot;")},absolutizeUrl:function(e){var t=document.createElement("div");return t.innerHTML='<a href="'+this.escapeHTML(e)+'">x</a>',t.firstChild.href},getScriptPath:function(e){for(var t,n,r,i,s,o,u=0,a="",f="",l=document.getElementsByTagName("script"),c=l.length,h=e.length;c>u;u++){for(i=l[u].src,n=i.lastIndexOf("/"),n>-1?(o=i.substring(n+1),s=i.substring(0,n+1)):(o=i,s=""),t=0;h>t;t++)if(f=e[t],r=o.indexOf(f),r>-1){a=s;break}if(""!==a)break}return a},calculateTimeFormat:function(e,t,n){0>e&&(e=0),"undefined"==typeof n&&(n=25);var r=t.timeFormat,i=r[0],s=r[1]==r[0],o=s?2:1,u=":",a=Math.floor(e/3600)%24,f=Math.floor(e/60)%60,l=Math.floor(e%60),c=Math.floor((e%1*n).toFixed(3)),h=[[c,"f"],[l,"s"],[f,"m"],[a,"h"]];r.length<o&&(u=r[o]);for(var p=!1,d=0,v=h.length;v>d;d++)if(-1!==r.indexOf(h[d][1]))p=!0;else if(p){for(var m=!1,g=d;v>g;g++)if(h[g][0]>0){m=!0;break}if(!m)break;s||(r=i+r),r=h[d][1]+u+r,s&&(r=h[d][1]+r),i=h[d][1]}t.currentTimeFormat=r},twoDigitsString:function(e){return 10>e?"0"+e:String(e)},secondsToTimeCode:function(e,t){if(0>e&&(e=0),"object"!=typeof t){var n="m:ss";n=arguments[1]?"hh:mm:ss":n,n=arguments[2]?n+":ff":n,t={currentTimeFormat:n,framesPerSecond:arguments[3]||25}}var r=t.framesPerSecond;"undefined"==typeof r&&(r=25);var n=t.currentTimeFormat,s=Math.floor(e/3600)%24,o=Math.floor(e/60)%60,u=Math.floor(e%60),a=Math.floor((e%1*r).toFixed(3));lis=[[a,"f"],[u,"s"],[o,"m"],[s,"h"]];var f=n;for(i=0,len=lis.length;i<len;i++)f=f.replace(lis[i][1]+lis[i][1],this.twoDigitsString(lis[i][0])),f=f.replace(lis[i][1],lis[i][0]);return f},timeCodeToSeconds:function(e,t,n,r){"undefined"==typeof n?n=!1:"undefined"==typeof r&&(r=25);var i=e.split(":"),s=parseInt(i[0],10),o=parseInt(i[1],10),u=parseInt(i[2],10),a=0,f=0;return n&&(a=parseInt(i[3])/r),f=3600*s+60*o+u+a},convertSMPTEtoSeconds:function(e){if("string"!=typeof e)return!1;e=e.replace(",",".");var t=0,n=-1!=e.indexOf(".")?e.split(".")[1].length:0,r=1;e=e.split(":").reverse();for(var i=0;i<e.length;i++)r=1,i>0&&(r=Math.pow(60,i)),t+=Number(e[i])*r;return Number(t.toFixed(n))},removeSwf:function(e){var t=document.getElementById(e);t&&/object|embed/i.test(t.nodeName)&&(mejs.MediaFeatures.isIE?(t.style.display="none",function(){4==t.readyState?mejs.Utility.removeObjectInIE(e):setTimeout(arguments.callee,10)}()):t.parentNode.removeChild(t))},removeObjectInIE:function(e){var t=document.getElementById(e);if(t){for(var n in t)"function"==typeof t[n]&&(t[n]=null);t.parentNode.removeChild(t)}},determineScheme:function(e){return e&&-1!=e.indexOf("://")?e.substr(0,e.indexOf("://")+3):"//"},debounce:function(e,t,n){var r;return function(){var i=this,s=arguments,o=function(){r=null,n||e.apply(i,s)},u=n&&!r;clearTimeout(r),r=setTimeout(o,t),u&&e.apply(i,s)}},isNodeAfter:function(e,t){return!!(e&&t&&"function"==typeof e.compareDocumentPosition&&e.compareDocumentPosition(t)&Node.DOCUMENT_POSITION_PRECEDING)}},mejs.PluginDetector={hasPluginVersion:function(e,t){var n=this.plugins[e];return t[1]=t[1]||0,t[2]=t[2]||0,n[0]>t[0]||n[0]==t[0]&&n[1]>t[1]||n[0]==t[0]&&n[1]==t[1]&&n[2]>=t[2]?!0:!1},nav:window.navigator,ua:window.navigator.userAgent.toLowerCase(),plugins:[],addPlugin:function(e,t,n,r,i){this.plugins[e]=this.detectPlugin(t,n,r,i)},detectPlugin:function(e,t,n,r){var i,s,o,u=[0,0,0];if("undefined"!=typeof this.nav.plugins&&"object"==typeof this.nav.plugins[e]){if(i=this.nav.plugins[e].description,i&&("undefined"==typeof this.nav.mimeTypes||!this.nav.mimeTypes[t]||this.nav.mimeTypes[t].enabledPlugin))for(u=i.replace(e,"").replace(/^\s+/,"").replace(/\sr/gi,".").split("."),s=0;s<u.length;s++)u[s]=parseInt(u[s].match(/\d+/),10)}else if("undefined"!=typeof window.ActiveXObject)try{o=new ActiveXObject(n),o&&(u=r(o))}catch(a){}return u}},mejs.PluginDetector.addPlugin("flash","Shockwave Flash","application/x-shockwave-flash","ShockwaveFlash.ShockwaveFlash",function(e){var t=[],n=e.GetVariable("$version");return n&&(n=n.split(" ")[1].split(","),t=[parseInt(n[0],10),parseInt(n[1],10),parseInt(n[2],10)]),t}),mejs.PluginDetector.addPlugin("silverlight","Silverlight Plug-In","application/x-silverlight-2","AgControl.AgControl",function(e){var t=[0,0,0,0],n=function(e,t,n,r){for(;e.isVersionSupported(t[0]+"."+t[1]+"."+t[2]+"."+t[3]);)t[n]+=r;t[n]-=r};return n(e,t,0,1),n(e,t,1,1),n(e,t,2,1e4),n(e,t,2,1e3),n(e,t,2,100),n(e,t,2,10),n(e,t,2,1),n(e,t,3,1),t}),mejs.MediaFeatures={init:function(){var e,t,n=this,r=document,i=mejs.PluginDetector.nav,s=mejs.PluginDetector.ua.toLowerCase(),o=["source","track","audio","video"];n.isiPad=null!==s.match(/ipad/i),n.isiPhone=null!==s.match(/iphone/i),n.isiOS=n.isiPhone||n.isiPad,n.isAndroid=null!==s.match(/android/i),n.isBustedAndroid=null!==s.match(/android 2\.[12]/),n.isBustedNativeHTTPS="https:"===location.protocol&&(null!==s.match(/android [12]\./)||null!==s.match(/macintosh.* version.* safari/)),n.isIE=-1!=i.appName.toLowerCase().indexOf("microsoft")||null!==i.appName.toLowerCase().match(/trident/gi),n.isChrome=null!==s.match(/chrome/gi),n.isChromium=null!==s.match(/chromium/gi),n.isFirefox=null!==s.match(/firefox/gi),n.isWebkit=null!==s.match(/webkit/gi),n.isGecko=null!==s.match(/gecko/gi)&&!n.isWebkit&&!n.isIE,n.isOpera=null!==s.match(/opera/gi),n.hasTouch="ontouchstart"in window,n.svgAsImg=!!document.implementation.hasFeature("http://www.w3.org/TR/SVG11/feature#Image","1.1");for(e=0;e<o.length;e++)t=document.createElement(o[e]);n.supportsMediaTag="undefined"!=typeof t.canPlayType||n.isBustedAndroid;try{t.canPlayType("video/mp4")}catch(u){n.supportsMediaTag=!1}n.supportsPointerEvents=function(){var e,t=document.createElement("x"),n=document.documentElement,r=window.getComputedStyle;return"pointerEvents"in t.style?(t.style.pointerEvents="auto",t.style.pointerEvents="x",n.appendChild(t),e=r&&"auto"===r(t,"").pointerEvents,n.removeChild(t),!!e):!1}(),n.hasFirefoxPluginMovingProblem=!1,n.hasiOSFullScreen="undefined"!=typeof t.webkitEnterFullscreen,n.hasNativeFullscreen="undefined"!=typeof t.requestFullscreen,n.hasWebkitNativeFullScreen="undefined"!=typeof t.webkitRequestFullScreen,n.hasMozNativeFullScreen="undefined"!=typeof t.mozRequestFullScreen,n.hasMsNativeFullScreen="undefined"!=typeof t.msRequestFullscreen,n.hasTrueNativeFullScreen=n.hasWebkitNativeFullScreen||n.hasMozNativeFullScreen||n.hasMsNativeFullScreen,n.nativeFullScreenEnabled=n.hasTrueNativeFullScreen,n.hasMozNativeFullScreen?n.nativeFullScreenEnabled=document.mozFullScreenEnabled:n.hasMsNativeFullScreen&&(n.nativeFullScreenEnabled=document.msFullscreenEnabled),n.isChrome&&(n.hasiOSFullScreen=!1),n.hasTrueNativeFullScreen&&(n.fullScreenEventName="",n.hasWebkitNativeFullScreen?n.fullScreenEventName="webkitfullscreenchange":n.hasMozNativeFullScreen?n.fullScreenEventName="mozfullscreenchange":n.hasMsNativeFullScreen&&(n.fullScreenEventName="MSFullscreenChange"),n.isFullScreen=function(){return n.hasMozNativeFullScreen?r.mozFullScreen:n.hasWebkitNativeFullScreen?r.webkitIsFullScreen:n.hasMsNativeFullScreen?null!==r.msFullscreenElement:void 0},n.requestFullScreen=function(e){n.hasWebkitNativeFullScreen?e.webkitRequestFullScreen():n.hasMozNativeFullScreen?e.mozRequestFullScreen():n.hasMsNativeFullScreen&&e.msRequestFullscreen()},n.cancelFullScreen=function(){n.hasWebkitNativeFullScreen?document.webkitCancelFullScreen():n.hasMozNativeFullScreen?document.mozCancelFullScreen():n.hasMsNativeFullScreen&&document.msExitFullscreen()}),n.hasiOSFullScreen&&s.match(/mac os x 10_5/i)&&(n.hasNativeFullScreen=!1,n.hasiOSFullScreen=!1)}},mejs.MediaFeatures.init(),mejs.HtmlMediaElement={pluginType:"native",isFullScreen:!1,setCurrentTime:function(e){this.currentTime=e},setMuted:function(e){this.muted=e},setVolume:function(e){this.volume=e},stop:function(){this.pause()},setSrc:function(e){for(var t=this.getElementsByTagName("source");t.length>0;)this.removeChild(t[0]);if("string"==typeof e)this.src=e;else{var n,r;for(n=0;n<e.length;n++)if(r=e[n],this.canPlayType(r.type)){this.src=r.src;break}}},setVideoSize:function(e,t){this.width=e,this.height=t}},mejs.PluginMediaElement=function(e,t,n){this.id=e,this.pluginType=t,this.src=n,this.events={},this.attributes={}},mejs.PluginMediaElement.prototype={pluginElement:null,pluginType:"",isFullScreen:!1,playbackRate:-1,defaultPlaybackRate:-1,seekable:[],played:[],paused:!0,ended:!1,seeking:!1,duration:0,error:null,tagName:"",muted:!1,volume:1,currentTime:0,play:function(){null!=this.pluginApi&&("youtube"==this.pluginType||"vimeo"==this.pluginType?this.pluginApi.playVideo():this.pluginApi.playMedia(),this.paused=!1)},load:function(){null!=this.pluginApi&&("youtube"==this.pluginType||"vimeo"==this.pluginType||this.pluginApi.loadMedia(),this.paused=!1)},pause:function(){null!=this.pluginApi&&("youtube"==this.pluginType||"vimeo"==this.pluginType?1==this.pluginApi.getPlayerState()&&this.pluginApi.pauseVideo():this.pluginApi.pauseMedia(),this.paused=!0)},stop:function(){null!=this.pluginApi&&("youtube"==this.pluginType||"vimeo"==this.pluginType?this.pluginApi.stopVideo():this.pluginApi.stopMedia(),this.paused=!0)},canPlayType:function(e){var t,n,r,i=mejs.plugins[this.pluginType];for(t=0;t<i.length;t++)if(r=i[t],mejs.PluginDetector.hasPluginVersion(this.pluginType,r.version))for(n=0;n<r.types.length;n++)if(e==r.types[n])return"probably";return""},positionFullscreenButton:function(e,t,n){null!=this.pluginApi&&this.pluginApi.positionFullscreenButton&&this.pluginApi.positionFullscreenButton(Math.floor(e),Math.floor(t),n)},hideFullscreenButton:function(){null!=this.pluginApi&&this.pluginApi.hideFullscreenButton&&this.pluginApi.hideFullscreenButton()},setSrc:function(e){if("string"==typeof e)this.pluginApi.setSrc(mejs.Utility.absolutizeUrl(e)),this.src=mejs.Utility.absolutizeUrl(e);else{var t,n;for(t=0;t<e.length;t++)if(n=e[t],this.canPlayType(n.type)){this.pluginApi.setSrc(mejs.Utility.absolutizeUrl(n.src)),this.src=mejs.Utility.absolutizeUrl(n.src);break}}},setCurrentTime:function(e){null!=this.pluginApi&&("youtube"==this.pluginType||"vimeo"==this.pluginType?this.pluginApi.seekTo(e):this.pluginApi.setCurrentTime(e),this.currentTime=e)},setVolume:function(e){null!=this.pluginApi&&("youtube"==this.pluginType?this.pluginApi.setVolume(100*e):this.pluginApi.setVolume(e),this.volume=e)},setMuted:function(e){null!=this.pluginApi&&("youtube"==this.pluginType?(e?this.pluginApi.mute():this.pluginApi.unMute(),this.muted=e,this.dispatchEvent({type:"volumechange"})):this.pluginApi.setMuted(e),this.muted=e)},setVideoSize:function(e,t){this.pluginElement&&this.pluginElement.style&&(this.pluginElement.style.width=e+"px",this.pluginElement.style.height=t+"px"),null!=this.pluginApi&&this.pluginApi.setVideoSize&&this.pluginApi.setVideoSize(e,t)},setFullscreen:function(e){null!=this.pluginApi&&this.pluginApi.setFullscreen&&this.pluginApi.setFullscreen(e)},enterFullScreen:function(){null!=this.pluginApi&&this.pluginApi.setFullscreen&&this.setFullscreen(!0)},exitFullScreen:function(){null!=this.pluginApi&&this.pluginApi.setFullscreen&&this.setFullscreen(!1)},addEventListener:function(e,t,n){this.events[e]=this.events[e]||[],this.events[e].push(t)},removeEventListener:function(e,t){if(!e)return this.events={},!0;var n=this.events[e];if(!n)return!0;if(!t)return this.events[e]=[],!0;for(var r=0;r<n.length;r++)if(n[r]===t)return this.events[e].splice(r,1),!0;return!1},dispatchEvent:function(e){var t,n=this.events[e.type];if(n)for(t=0;t<n.length;t++)n[t].apply(this,[e])},hasAttribute:function(e){return e in this.attributes},removeAttribute:function(e){delete this.attributes[e]},getAttribute:function(e){return this.hasAttribute(e)?this.attributes[e]:null},setAttribute:function(e,t){this.attributes[e]=t},remove:function(){mejs.Utility.removeSwf(this.pluginElement.id)}},mejs.MediaElementDefaults={mode:"auto",plugins:["flash","silverlight","youtube","vimeo"],enablePluginDebug:!1,httpsBasicAuthSite:!1,type:"",pluginPath:mejs.Utility.getScriptPath(["mediaelement.js","mediaelement.min.js","mediaelement-and-player.js","mediaelement-and-player.min.js"]),flashName:"flashmediaelement.swf",flashStreamer:"",flashScriptAccess:"sameDomain",enablePluginSmoothing:!1,enablePseudoStreaming:!1,pseudoStreamingStartQueryParam:"start",silverlightName:"silverlightmediaelement.xap",defaultVideoWidth:480,defaultVideoHeight:270,pluginWidth:-1,pluginHeight:-1,pluginVars:[],timerRate:250,startVolume:.8,customError:"",success:function(){},error:function(){}},mejs.MediaElement=function(e,t){return mejs.HtmlMediaElementShim.create(e,t)},mejs.HtmlMediaElementShim={create:function(e,t){var n,r,i={},s="string"==typeof e?document.getElementById(e):e,o=s.tagName.toLowerCase(),u="audio"===o||"video"===o,a=u?s.getAttribute("src"):s.getAttribute("href"),f=s.getAttribute("poster"),l=s.getAttribute("autoplay"),c=s.getAttribute("preload"),h=s.getAttribute("controls");for(r in mejs.MediaElementDefaults)i[r]=mejs.MediaElementDefaults[r];for(r in t)i[r]=t[r];return a="undefined"==typeof a||null===a||""==a?null:a,f="undefined"==typeof f||null===f?"":f,c="undefined"==typeof c||null===c||"false"===c?"none":c,l="undefined"!=typeof l&&null!==l&&"false"!==l,h="undefined"!=typeof h&&null!==h&&"false"!==h,n=this.determinePlayback(s,i,mejs.MediaFeatures.supportsMediaTag,u,a),n.url=null!==n.url?mejs.Utility.absolutizeUrl(n.url):"",n.scheme=mejs.Utility.determineScheme(n.url),"native"==n.method?(mejs.MediaFeatures.isBustedAndroid&&(s.src=n.url,s.addEventListener("click",function(){s.play()},!1)),this.updateNative(n,i,l,c)):""!==n.method?this.createPlugin(n,i,f,l,c,h):(this.createErrorMessage(n,i,f),this)},determinePlayback:function(e,t,n,r,i){var s,o,u,a,f,l,c,h,p,d,v,m=[],g={method:"",url:"",htmlMediaElement:e,isVideo:"audio"!==e.tagName.toLowerCase(),scheme:""};if("undefined"!=typeof t.type&&""!==t.type)if("string"==typeof t.type)m.push({type:t.type,url:i});else for(s=0;s<t.type.length;s++)m.push({type:t.type[s],url:i});else if(null!==i)l=this.formatType(i,e.getAttribute("type")),m.push({type:l,url:i});else for(s=0;s<e.childNodes.length;s++)f=e.childNodes[s],1==f.nodeType&&"source"==f.tagName.toLowerCase()&&(i=f.getAttribute("src"),l=this.formatType(i,f.getAttribute("type")),v=f.getAttribute("media"),(!v||!window.matchMedia||window.matchMedia&&window.matchMedia(v).matches)&&m.push({type:l,url:i}));if(!r&&m.length>0&&null!==m[0].url&&this.getTypeFromFile(m[0].url).indexOf("audio")>-1&&(g.isVideo=!1),g.isVideo&&mejs.MediaFeatures.isBustedAndroid&&(e.canPlayType=function(e){return null!==e.match(/video\/(mp4|m4v)/gi)?"maybe":""}),g.isVideo&&mejs.MediaFeatures.isChromium&&(e.canPlayType=function(e){return null!==e.match(/video\/(webm|ogv|ogg)/gi)?"maybe":""}),n&&("auto"===t.mode||"auto_plugin"===t.mode||"native"===t.mode)&&(!mejs.MediaFeatures.isBustedNativeHTTPS||t.httpsBasicAuthSite!==!0)){for(r||(d=document.createElement(g.isVideo?"video":"audio"),e.parentNode.insertBefore(d,e),e.style.display="none",g.htmlMediaElement=e=d),s=0;s<m.length;s++)if("video/m3u8"==m[s].type||""!==e.canPlayType(m[s].type).replace(/no/,"")||""!==e.canPlayType(m[s].type.replace(/mp3/,"mpeg")).replace(/no/,"")||""!==e.canPlayType(m[s].type.replace(/m4a/,"mp4")).replace(/no/,"")){g.method="native",g.url=m[s].url;break}if("native"===g.method&&(null!==g.url&&(e.src=g.url),"auto_plugin"!==t.mode))return g}if("auto"===t.mode||"auto_plugin"===t.mode||"shim"===t.mode)for(s=0;s<m.length;s++)for(l=m[s].type,o=0;o<t.plugins.length;o++)for(c=t.plugins[o],h=mejs.plugins[c],u=0;u<h.length;u++)if(p=h[u],null==p.version||mejs.PluginDetector.hasPluginVersion(c,p.version))for(a=0;a<p.types.length;a++)if(l.toLowerCase()==p.types[a].toLowerCase())return g.method=c,g.url=m[s].url,g;return"auto_plugin"===t.mode&&"native"===g.method?g:(""===g.method&&m.length>0&&(g.url=m[0].url),g)},formatType:function(e,t){return e&&!t?this.getTypeFromFile(e):t&&~t.indexOf(";")?t.substr(0,t.indexOf(";")):t},getTypeFromFile:function(e){e=e.split("?")[0];var t=e.substring(e.lastIndexOf(".")+1).toLowerCase(),n=/(mp4|m4v|ogg|ogv|m3u8|webm|webmv|flv|wmv|mpeg|mov)/gi.test(t)?"video/":"audio/";return this.getTypeFromExtension(t,n)},getTypeFromExtension:function(e,t){switch(t=t||"",e){case"mp4":case"m4v":case"m4a":case"f4v":case"f4a":return t+"mp4";case"flv":return t+"x-flv";case"webm":case"webma":case"webmv":return t+"webm";case"ogg":case"oga":case"ogv":return t+"ogg";case"m3u8":return"application/x-mpegurl";case"ts":return t+"mp2t";default:return t+e}},createErrorMessage:function(e,t,n){var r=e.htmlMediaElement,i=document.createElement("div"),s=t.customError;i.className="me-cannotplay";try{i.style.width=r.width+"px",i.style.height=r.height+"px"}catch(o){}s||(s='<a href="'+e.url+'">',""!==n&&(s+='<img src="'+n+'" width="100%" height="100%" alt="" />'),s+="<span>"+mejs.i18n.t("mejs.download-file")+"</span></a>"),i.innerHTML=s,r.parentNode.insertBefore(i,r),r.style.display="none",t.error(r)},createPlugin:function(e,t,n,r,i,s){var o,u,a,f=e.htmlMediaElement,l=1,c=1,h="me_"+e.method+"_"+mejs.meIndex++,p=new mejs.PluginMediaElement(h,e.method,e.url),d=document.createElement("div");p.tagName=f.tagName;for(var v=0;v<f.attributes.length;v++){var m=f.attributes[v];m.specified&&p.setAttribute(m.name,m.value)}for(u=f.parentNode;null!==u&&null!=u.tagName&&"body"!==u.tagName.toLowerCase()&&null!=u.parentNode&&null!=u.parentNode.tagName&&null!=u.parentNode.constructor&&"ShadowRoot"===u.parentNode.constructor.name;){if("p"===u.parentNode.tagName.toLowerCase()){u.parentNode.parentNode.insertBefore(u,u.parentNode);break}u=u.parentNode}if(e.isVideo?(l=t.pluginWidth>0?t.pluginWidth:t.videoWidth>0?t.videoWidth:null!==f.getAttribute("width")?f.getAttribute("width"):t.defaultVideoWidth,c=t.pluginHeight>0?t.pluginHeight:t.videoHeight>0?t.videoHeight:null!==f.getAttribute("height")?f.getAttribute("height"):t.defaultVideoHeight,l=mejs.Utility.encodeUrl(l),c=mejs.Utility.encodeUrl(c)):t.enablePluginDebug&&(l=320,c=240),p.success=t.success,d.className="me-plugin",d.id=h+"_container",e.isVideo?f.parentNode.insertBefore(d,f):document.body.insertBefore(d,document.body.childNodes[0]),"flash"===e.method||"silverlight"===e.method){var g="audio/mp4"===f.getAttribute("type"),y=f.getElementsByTagName("source");if(y&&!g)for(var v=0,b=y.length;b>v;v++)"audio/mp4"===y[v].getAttribute("type")&&(g=!0);a=["id="+h,"isvideo="+(e.isVideo||g?"true":"false"),"autoplay="+(r?"true":"false"),"preload="+i,"width="+l,"startvolume="+t.startVolume,"timerrate="+t.timerRate,"flashstreamer="+t.flashStreamer,"height="+c,"pseudostreamstart="+t.pseudoStreamingStartQueryParam],null!==e.url&&("flash"==e.method?a.push("file="+mejs.Utility.encodeUrl(e.url)):a.push("file="+e.url)),t.enablePluginDebug&&a.push("debug=true"),t.enablePluginSmoothing&&a.push("smoothing=true"),t.enablePseudoStreaming&&a.push("pseudostreaming=true"),s&&a.push("controls=true"),t.pluginVars&&(a=a.concat(t.pluginVars)),window[h+"_init"]=function(){switch(p.pluginType){case"flash":p.pluginElement=p.pluginApi=document.getElementById(h);break;case"silverlight":p.pluginElement=document.getElementById(p.id),p.pluginApi=p.pluginElement.Content.MediaElementJS}null!=p.pluginApi&&p.success&&p.success(p,f)},window[h+"_event"]=function(e,t){var n,r,i;n={type:e,target:p};for(r in t)p[r]=t[r],n[r]=t[r];i=t.bufferedTime||0,n.target.buffered=n.buffered={start:function(e){return 0},end:function(e){return i},length:1},p.dispatchEvent(n)}}switch(e.method){case"silverlight":d.innerHTML='<object data="data:application/x-silverlight-2," type="application/x-silverlight-2" id="'+h+'" name="'+h+'" width="'+l+'" height="'+c+'" class="mejs-shim"><param name="initParams" value="'+a.join(",")+'" /><param name="windowless" value="true" /><param name="background" value="black" /><param name="minRuntimeVersion" value="3.0.0.0" /><param name="autoUpgrade" value="true" /><param name="source" value="'+t.pluginPath+t.silverlightName+'" /></object>';break;case"flash":mejs.MediaFeatures.isIE?(o=document.createElement("div"),d.appendChild(o),o.outerHTML='<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="//download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab" id="'+h+'" width="'+l+'" height="'+c+'" class="mejs-shim"><param name="movie" value="'+t.pluginPath+t.flashName+"?"+(new Date).getTime()+'" /><param name="flashvars" value="'+a.join("&amp;")+'" /><param name="quality" value="high" /><param name="bgcolor" value="#000000" /><param name="wmode" value="transparent" /><param name="allowScriptAccess" value="'+t.flashScriptAccess+'" /><param name="allowFullScreen" value="true" /><param name="scale" value="default" /></object>'):d.innerHTML='<embed id="'+h+'" name="'+h+'" play="true" loop="false" quality="high" bgcolor="#000000" wmode="transparent" allowScriptAccess="'+t.flashScriptAccess+'" allowFullScreen="true" type="application/x-shockwave-flash" pluginspage="//www.macromedia.com/go/getflashplayer" src="'+t.pluginPath+t.flashName+'" flashvars="'+a.join("&")+'" width="'+l+'" height="'+c+'" scale="default"class="mejs-shim"></embed>';break;case"youtube":var w;if(-1!=e.url.lastIndexOf("youtu.be"))w=e.url.substr(e.url.lastIndexOf("/")+1),-1!=w.indexOf("?")&&(w=w.substr(0,w.indexOf("?")));else{var E=e.url.match(/[?&]v=([^&#]+)|&|#|$/);E&&(w=E[1])}youtubeSettings={container:d,containerId:d.id,pluginMediaElement:p,pluginId:h,videoId:w,height:c,width:l,scheme:e.scheme,variables:t.youtubeIframeVars},window.postMessage?mejs.YouTubeApi.enqueueIframe(youtubeSettings):mejs.PluginDetector.hasPluginVersion("flash",[10,0,0])&&mejs.YouTubeApi.createFlash(youtubeSettings,t);break;case"vimeo":var S=h+"_player";if(p.vimeoid=e.url.substr(e.url.lastIndexOf("/")+1),d.innerHTML='<iframe src="'+e.scheme+"player.vimeo.com/video/"+p.vimeoid+"?api=1&portrait=0&byline=0&title=0&player_id="+S+'" width="'+l+'" height="'+c+'" frameborder="0" class="mejs-shim" id="'+S+'" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>',"function"==typeof $f){var x=$f(d.childNodes[0]),T=-1;x.addEvent("ready",function(){function e(e,t,n,r){var i={type:n,target:t};"timeupdate"==n&&(t.currentTime=i.currentTime=r.seconds,t.duration=i.duration=r.duration),t.dispatchEvent(i)}x.playVideo=function(){x.api("play")},x.stopVideo=function(){x.api("unload")},x.pauseVideo=function(){x.api("pause")},x.seekTo=function(e){x.api("seekTo",e)},x.setVolume=function(e){x.api("setVolume",e)},x.setMuted=function(e){e?(x.lastVolume=x.api("getVolume"),x.api("setVolume",0)):(x.api("setVolume",x.lastVolume),delete x.lastVolume)},x.getPlayerState=function(){return T},x.addEvent("play",function(){T=1,e(x,p,"play"),e(x,p,"playing")}),x.addEvent("pause",function(){T=2,e(x,p,"pause")}),x.addEvent("finish",function(){T=0,e(x,p,"ended")}),x.addEvent("playProgress",function(t){e(x,p,"timeupdate",t)}),x.addEvent("seek",function(t){T=3,e(x,p,"seeked",t)}),x.addEvent("loadProgress",function(t){T=3,e(x,p,"progress",t)}),p.pluginElement=d,p.pluginApi=x,p.success(p,p.pluginElement)})}else console.warn("You need to include froogaloop for vimeo to work")}return f.style.display="none",f.removeAttribute("autoplay"),p},updateNative:function(e,t,n,r){var i,s=e.htmlMediaElement;for(i in mejs.HtmlMediaElement)s[i]=mejs.HtmlMediaElement[i];return t.success(s,s),s}},mejs.YouTubeApi={isIframeStarted:!1,isIframeLoaded:!1,loadIframeApi:function(e){if(!this.isIframeStarted){var t=document.createElement("script");t.src=e.scheme+"www.youtube.com/player_api";var n=document.getElementsByTagName("script")[0];n.parentNode.insertBefore(t,n),this.isIframeStarted=!0}},iframeQueue:[],enqueueIframe:function(e){this.isLoaded?this.createIframe(e):(this.loadIframeApi(e),this.iframeQueue.push(e))},createIframe:function(e){var t=e.pluginMediaElement,n={controls:0,wmode:"transparent"},r=new YT.Player(e.containerId,{height:e.height,width:e.width,videoId:e.videoId,playerVars:mejs.$.extend({},n,e.variables),events:{onReady:function(n){r.setVideoSize=function(e,t){r.setSize(e,t)},e.pluginMediaElement.pluginApi=r,e.pluginMediaElement.pluginElement=document.getElementById(e.containerId),t.success(t,t.pluginElement),mejs.YouTubeApi.createEvent(r,t,"canplay"),setInterval(function(){mejs.YouTubeApi.createEvent(r,t,"timeupdate")},250),"undefined"!=typeof t.attributes.autoplay&&r.playVideo()},onStateChange:function(e){mejs.YouTubeApi.handleStateChange(e.data,r,t)}}})},createEvent:function(e,t,n){var r={type:n,target:t};if(e&&e.getDuration){t.currentTime=r.currentTime=e.getCurrentTime(),t.duration=r.duration=e.getDuration(),r.paused=t.paused,r.ended=t.ended,r.muted=e.isMuted(),r.volume=e.getVolume()/100,r.bytesTotal=e.getVideoBytesTotal(),r.bufferedBytes=e.getVideoBytesLoaded();var i=r.bufferedBytes/r.bytesTotal*r.duration;r.target.buffered=r.buffered={start:function(e){return 0},end:function(e){return i},length:1}}t.dispatchEvent(r)},iFrameReady:function(){for(this.isLoaded=!0,this.isIframeLoaded=!0;this.iframeQueue.length>0;){var e=this.iframeQueue.pop();this.createIframe(e)}},flashPlayers:{},createFlash:function(e){this.flashPlayers[e.pluginId]=e;var t,n=e.scheme+"www.youtube.com/apiplayer?enablejsapi=1&amp;playerapiid="+e.pluginId+"&amp;version=3&amp;autoplay=0&amp;controls=0&amp;modestbranding=1&loop=0";mejs.MediaFeatures.isIE?(t=document.createElement("div"),e.container.appendChild(t),t.outerHTML='<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="'+e.scheme+'download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab" id="'+e.pluginId+'" width="'+e.width+'" height="'+e.height+'" class="mejs-shim"><param name="movie" value="'+n+'" /><param name="wmode" value="transparent" /><param name="allowScriptAccess" value="'+options.flashScriptAccess+'" /><param name="allowFullScreen" value="true" /></object>'):e.container.innerHTML='<object type="application/x-shockwave-flash" id="'+e.pluginId+'" data="'+n+'" width="'+e.width+'" height="'+e.height+'" style="visibility: visible; " class="mejs-shim"><param name="allowScriptAccess" value="'+options.flashScriptAccess+'"><param name="wmode" value="transparent"></object>'},flashReady:function(e){var t=this.flashPlayers[e],n=document.getElementById(e),r=t.pluginMediaElement;r.pluginApi=r.pluginElement=n,t.success(r,r.pluginElement),n.cueVideoById(t.videoId);var i=t.containerId+"_callback";window[i]=function(e){mejs.YouTubeApi.handleStateChange(e,n,r)},n.addEventListener("onStateChange",i),setInterval(function(){mejs.YouTubeApi.createEvent(n,r,"timeupdate")},250),mejs.YouTubeApi.createEvent(n,r,"canplay")},handleStateChange:function(e,t,n){switch(e){case-1:n.paused=!0,n.ended=!0,mejs.YouTubeApi.createEvent(t,n,"loadedmetadata");break;case 0:n.paused=!1,n.ended=!0,mejs.YouTubeApi.createEvent(t,n,"ended");break;case 1:n.paused=!1,n.ended=!1,mejs.YouTubeApi.createEvent(t,n,"play"),mejs.YouTubeApi.createEvent(t,n,"playing");break;case 2:n.paused=!0,n.ended=!1,mejs.YouTubeApi.createEvent(t,n,"pause");break;case 3:mejs.YouTubeApi.createEvent(t,n,"progress");break;case 5:}}},window.onYouTubePlayerAPIReady=function(){mejs.YouTubeApi.iFrameReady()},window.onYouTubePlayerReady=function(e){mejs.YouTubeApi.flashReady(e)},window.mejs=mejs,window.MediaElement=mejs.MediaElement,function(e,t,n,r){var i={"default":"en",locale:{language:n.i18n&&n.i18n.locale.language||"",strings:n.i18n&&n.i18n.locale.strings||{}},pluralForms:[function(){return arguments[1]},function(){var e=arguments;return 1===e[0]?e[1]:e[2]},function(){var e=arguments;return[0,1].indexOf(e[0])>-1?e[1]:e[2]},function(){var e=arguments;return e[0]%10===1&&e[0]%100!==11?e[1]:0!==e[0]?e[2]:e[3]},function(){var e=arguments;return 1===e[0]||11===e[0]?e[1]:2===e[0]||12===e[0]?e[2]:e[0]>2&&e[0]<20?e[3]:e[4]},function(){return 1===args[0]?args[1]:0===args[0]||args[0]%100>0&&args[0]%100<20?args[2]:args[3]},function(){var e=arguments;return e[0]%10===1&&e[0]%100!==11?e[1]:e[0]%10>=2&&(e[0]%100<10||e[0]%100>=20)?e[2]:[3]},function(){var e=arguments;return e[0]%10===1&&e[0]%100!==11?e[1]:e[0]%10>=2&&e[0]%10<=4&&(e[0]%100<10||e[0]%100>=20)?e[2]:e[3]},function(){var e=arguments;return 1===e[0]?e[1]:e[0]>=2&&e[0]<=4?e[2]:e[3]},function(){var e=arguments;return 1===e[0]?e[1]:e[0]%10>=2&&e[0]%10<=4&&(e[0]%100<10||e[0]%100>=20)?e[2]:e[3]},function(){var e=arguments;return e[0]%100===1?e[2]:e[0]%100===2?e[3]:e[0]%100===3||e[0]%100===4?e[4]:e[1]},function(){var e=arguments;return 1===e[0]?e[1]:2===e[0]?e[2]:e[0]>2&&e[0]<7?e[3]:e[0]>6&&e[0]<11?e[4]:e[5]},function(){var e=arguments;return 0===e[0]?e[1]:1===e[0]?e[2]:2===e[0]?e[3]:e[0]%100>=3&&e[0]%100<=10?e[4]:e[0]%100>=11?e[5]:e[6]},function(){var e=arguments;return 1===e[0]?e[1]:0===e[0]||e[0]%100>1&&e[0]%100<11?e[2]:e[0]%100>10&&e[0]%100<20?e[3]:e[4]},function(){var e=arguments;return e[0]%10===1?e[1]:e[0]%10===2?e[2]:e[3]},function(){var e=arguments;return 11!==e[0]&&e[0]%10===1?e[1]:e[2]},function(){var e=arguments;return 1===e[0]?e[1]:e[0]%10>=2&&e[0]%10<=4&&(e[0]%100<10||e[0]%100>=20)?e[2]:e[3]},function(){var e=arguments;return 1===e[0]?e[1]:2===e[0]?e[2]:8!==e[0]&&11!==e[0]?e[3]:e[4]},function(){var e=arguments;return 0===e[0]?e[1]:e[2]},function(){var e=arguments;return 1===e[0]?e[1]:2===e[0]?e[2]:3===e[0]?e[3]:e[4]},function(){var e=arguments;return 0===e[0]?e[1]:1===e[0]?e[2]:e[3]}],getLanguage:function(){var e=i.locale.language||i["default"];return/^(x\-)?[a-z]{2,}(\-\w{2,})?(\-\w{2,})?$/.exec(e)?e:i["default"]},t:function(e,t){if("string"==typeof e&&e.length){var n,r,s=i.getLanguage(),o=function(e,t,n){return"object"!=typeof e||"number"!=typeof t||"number"!=typeof n?e:"string"==typeof e?e:i.pluralForms[n].apply(null,[t].concat(e))},u=function(e){var t={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;"};return e.replace(/[&<>"]/g,function(e){return t[e]})};return i.locale.strings&&i.locale.strings[s]&&(n=i.locale.strings[s][e],"number"==typeof t&&(r=i.locale.strings[s]["mejs.plural-form"
],n=o.apply(null,[n,t,r]))),!n&&i.locale.strings&&i.locale.strings[i["default"]]&&(n=i.locale.strings[i["default"]][e],"number"==typeof t&&(r=i.locale.strings[i["default"]]["mejs.plural-form"],n=o.apply(null,[n,t,r]))),n=n||e,"number"==typeof t&&(n=n.replace("%1",t)),u(n)}return e}};"undefined"!=typeof mejsL10n&&(i.locale.language=mejsL10n.language),n.i18n=i}(document,window,mejs),function(e,t){"use strict";"undefined"!=typeof mejsL10n&&(e[mejsL10n.language]=mejsL10n.strings)}(mejs.i18n.locale.strings),function(e){"use strict";void 0===e.en&&(e.en={"mejs.plural-form":1,"mejs.download-file":"Download File","mejs.fullscreen-off":"Turn off Fullscreen","mejs.fullscreen-on":"Go Fullscreen","mejs.download-video":"Download Video","mejs.fullscreen":"Fullscreen","mejs.time-jump-forward":["Jump forward 1 second","Jump forward %1 seconds"],"mejs.play":"Play","mejs.pause":"Pause","mejs.close":"Close","mejs.time-slider":"Time Slider","mejs.time-help-text":"Use Left/Right Arrow keys to advance one second, Up/Down arrows to advance ten seconds.","mejs.time-skip-back":["Skip back 1 second","Skip back %1 seconds"],"mejs.captions-subtitles":"Captions/Subtitles","mejs.none":"None","mejs.mute-toggle":"Mute Toggle","mejs.volume-help-text":"Use Up/Down Arrow keys to increase or decrease volume.","mejs.unmute":"Unmute","mejs.mute":"Mute","mejs.volume-slider":"Volume Slider","mejs.video-player":"Video Player","mejs.audio-player":"Audio Player","mejs.ad-skip":"Skip ad","mejs.ad-skip-info":["Skip in 1 second","Skip in %1 seconds"],"mejs.source-chooser":"Source Chooser"})}(mejs.i18n.locale.strings),"undefined"!=typeof jQuery?mejs.$=jQuery:"undefined"!=typeof Zepto?(mejs.$=Zepto,Zepto.fn.outerWidth=function(e){var t=$(this).width();return e&&(t+=parseInt($(this).css("margin-right"),10),t+=parseInt($(this).css("margin-left"),10)),t}):"undefined"!=typeof ender&&(mejs.$=ender),function(e){mejs.MepDefaults={poster:"",showPosterWhenEnded:!1,defaultVideoWidth:480,defaultVideoHeight:270,videoWidth:-1,videoHeight:-1,defaultAudioWidth:400,defaultAudioHeight:30,defaultSeekBackwardInterval:function(e){return.05*e.duration},defaultSeekForwardInterval:function(e){return.05*e.duration},setDimensions:!0,audioWidth:-1,audioHeight:-1,startVolume:.8,loop:!1,autoRewind:!0,enableAutosize:!0,timeFormat:"",alwaysShowHours:!1,showTimecodeFrameCount:!1,framesPerSecond:25,autosizeProgress:!0,alwaysShowControls:!1,hideVideoControlsOnLoad:!1,clickToPlayPause:!0,controlsTimeoutDefault:1500,controlsTimeoutMouseEnter:2500,controlsTimeoutMouseLeave:1e3,iPadUseNativeControls:!1,iPhoneUseNativeControls:!1,AndroidUseNativeControls:!1,features:["playpause","current","progress","duration","tracks","volume","fullscreen"],isVideo:!0,stretching:"auto",enableKeyboard:!0,pauseOtherPlayers:!0,keyActions:[{keys:[32,179],action:function(e,t,n,r){mejs.MediaFeatures.isFirefox||(t.paused||t.ended?t.play():t.pause())}},{keys:[38],action:function(e,t,n,r){e.container.find(".mejs-volume-slider").css("display","block"),e.isVideo&&(e.showControls(),e.startControlsTimer());var i=Math.min(t.volume+.1,1);t.setVolume(i)}},{keys:[40],action:function(e,t,n,r){e.container.find(".mejs-volume-slider").css("display","block"),e.isVideo&&(e.showControls(),e.startControlsTimer());var i=Math.max(t.volume-.1,0);t.setVolume(i)}},{keys:[37,227],action:function(e,t,n,r){if(!isNaN(t.duration)&&t.duration>0){e.isVideo&&(e.showControls(),e.startControlsTimer());var i=Math.max(t.currentTime-e.options.defaultSeekBackwardInterval(t),0);t.setCurrentTime(i)}}},{keys:[39,228],action:function(e,t,n,r){if(!isNaN(t.duration)&&t.duration>0){e.isVideo&&(e.showControls(),e.startControlsTimer());var i=Math.min(t.currentTime+e.options.defaultSeekForwardInterval(t),t.duration);t.setCurrentTime(i)}}},{keys:[70],action:function(e,t,n,r){"undefined"!=typeof e.enterFullScreen&&(e.isFullScreen?e.exitFullScreen():e.enterFullScreen())}},{keys:[77],action:function(e,t,n,r){e.container.find(".mejs-volume-slider").css("display","block"),e.isVideo&&(e.showControls(),e.startControlsTimer()),e.media.muted?e.setMuted(!1):e.setMuted(!0)}}]},mejs.mepIndex=0,mejs.players={},mejs.MediaElementPlayer=function(t,n){if(this instanceof mejs.MediaElementPlayer){var r=this;return r.$media=r.$node=e(t),r.node=r.media=r.$media[0],r.node?"undefined"!=typeof r.node.player?r.node.player:("undefined"==typeof n&&(n=r.$node.data("mejsoptions")),r.options=e.extend({},mejs.MepDefaults,n),r.options.timeFormat||(r.options.timeFormat="mm:ss",r.options.alwaysShowHours&&(r.options.timeFormat="hh:mm:ss"),r.options.showTimecodeFrameCount&&(r.options.timeFormat+=":ff")),mejs.Utility.calculateTimeFormat(0,r.options,r.options.framesPerSecond||25),r.id="mep_"+mejs.mepIndex++,mejs.players[r.id]=r,r.init(),r):void 0}return new mejs.MediaElementPlayer(t,n)},mejs.MediaElementPlayer.prototype={hasFocus:!1,controlsAreVisible:!0,init:function(){var t=this,n=mejs.MediaFeatures,r=e.extend(!0,{},t.options,{success:function(e,n){t.meReady(e,n)},error:function(e){t.handleError(e)}}),i=t.media.tagName.toLowerCase();if(t.isDynamic="audio"!==i&&"video"!==i,t.isDynamic?t.isVideo=t.options.isVideo:t.isVideo="audio"!==i&&t.options.isVideo,n.isiPad&&t.options.iPadUseNativeControls||n.isiPhone&&t.options.iPhoneUseNativeControls)t.$media.attr("controls","controls"),n.isiPad&&null!==t.media.getAttribute("autoplay")&&t.play();else if(!n.isAndroid||!t.options.AndroidUseNativeControls)if(t.isVideo||!t.isVideo&&t.options.features.length){t.$media.removeAttr("controls");var s=t.isVideo?mejs.i18n.t("mejs.video-player"):mejs.i18n.t("mejs.audio-player");e('<span class="mejs-offscreen">'+s+"</span>").insertBefore(t.$media),t.container=e('<div id="'+t.id+'" class="mejs-container '+(mejs.MediaFeatures.svgAsImg?"svg":"no-svg")+'" tabindex="0" role="application" aria-label="'+s+'"><div class="mejs-inner"><div class="mejs-mediaelement"></div><div class="mejs-layers"></div><div class="mejs-controls"></div><div class="mejs-clear"></div></div></div>').addClass(t.$media[0].className).insertBefore(t.$media).focus(function(e){if(!t.controlsAreVisible&&!t.hasFocus&&t.controlsEnabled&&(t.showControls(!0),!t.hasMsNativeFullScreen)){var n=".mejs-playpause-button > button";mejs.Utility.isNodeAfter(e.relatedTarget,t.container[0])&&(n=".mejs-controls .mejs-button:last-child > button");var r=t.container.find(n);r.focus()}}),t.options.features.length||t.container.css("background","transparent").find(".mejs-controls").hide(),t.isVideo&&"fill"===t.options.stretching&&!t.container.parent("mejs-fill-container").length&&(t.outerContainer=t.$media.parent(),t.container.wrap('<div class="mejs-fill-container"/>')),t.container.addClass((n.isAndroid?"mejs-android ":"")+(n.isiOS?"mejs-ios ":"")+(n.isiPad?"mejs-ipad ":"")+(n.isiPhone?"mejs-iphone ":"")+(t.isVideo?"mejs-video ":"mejs-audio ")),t.container.find(".mejs-mediaelement").append(t.$media),t.node.player=t,t.controls=t.container.find(".mejs-controls"),t.layers=t.container.find(".mejs-layers");var o=t.isVideo?"video":"audio",u=o.substring(0,1).toUpperCase()+o.substring(1);t.options[o+"Width"]>0||t.options[o+"Width"].toString().indexOf("%")>-1?t.width=t.options[o+"Width"]:""!==t.media.style.width&&null!==t.media.style.width?t.width=t.media.style.width:null!==t.media.getAttribute("width")?t.width=t.$media.attr("width"):t.width=t.options["default"+u+"Width"],t.options[o+"Height"]>0||t.options[o+"Height"].toString().indexOf("%")>-1?t.height=t.options[o+"Height"]:""!==t.media.style.height&&null!==t.media.style.height?t.height=t.media.style.height:null!==t.$media[0].getAttribute("height")?t.height=t.$media.attr("height"):t.height=t.options["default"+u+"Height"],t.setPlayerSize(t.width,t.height),r.pluginWidth=t.width,r.pluginHeight=t.height}else t.isVideo||t.options.features.length||t.$media.hide();mejs.MediaElement(t.$media[0],r),"undefined"!=typeof t.container&&t.options.features.length&&t.controlsAreVisible&&t.container.trigger("controlsshown")},showControls:function(e){var t=this;e="undefined"==typeof e||e,t.controlsAreVisible||(e?(t.controls.removeClass("mejs-offscreen").stop(!0,!0).fadeIn(200,function(){t.controlsAreVisible=!0,t.container.trigger("controlsshown")}),t.container.find(".mejs-control").removeClass("mejs-offscreen").stop(!0,!0).fadeIn(200,function(){t.controlsAreVisible=!0})):(t.controls.removeClass("mejs-offscreen").css("display","block"),t.container.find(".mejs-control").removeClass("mejs-offscreen").css("display","block"),t.controlsAreVisible=!0,t.container.trigger("controlsshown")),t.setControlsSize())},hideControls:function(t){var n=this;t="undefined"==typeof t||t,!n.controlsAreVisible||n.options.alwaysShowControls||n.keyboardAction||n.media.paused||n.media.ended||(t?(n.controls.stop(!0,!0).fadeOut(200,function(){e(this).addClass("mejs-offscreen").css("display","block"),n.controlsAreVisible=!1,n.container.trigger("controlshidden")}),n.container.find(".mejs-control").stop(!0,!0).fadeOut(200,function(){e(this).addClass("mejs-offscreen").css("display","block")})):(n.controls.addClass("mejs-offscreen").css("display","block"),n.container.find(".mejs-control").addClass("mejs-offscreen").css("display","block"),n.controlsAreVisible=!1,n.container.trigger("controlshidden")))},controlsTimer:null,startControlsTimer:function(e){var t=this;e="undefined"!=typeof e?e:t.options.controlsTimeoutDefault,t.killControlsTimer("start"),t.controlsTimer=setTimeout(function(){t.hideControls(),t.killControlsTimer("hide")},e)},killControlsTimer:function(e){var t=this;null!==t.controlsTimer&&(clearTimeout(t.controlsTimer),delete t.controlsTimer,t.controlsTimer=null)},controlsEnabled:!0,disableControls:function(){var e=this;e.killControlsTimer(),e.hideControls(!1),this.controlsEnabled=!1},enableControls:function(){var e=this;e.showControls(!1),e.controlsEnabled=!0},meReady:function(t,n){var r,i,s=this,o=mejs.MediaFeatures,u=n.getAttribute("autoplay"),f="undefined"!=typeof u&&null!==u&&"false"!==u;if(!s.created){if(s.created=!0,s.media=t,s.domNode=n,!(o.isAndroid&&s.options.AndroidUseNativeControls||o.isiPad&&s.options.iPadUseNativeControls||o.isiPhone&&s.options.iPhoneUseNativeControls)){if(!s.isVideo&&!s.options.features.length)return f&&"native"==t.pluginType&&s.play(),void (s.options.success&&("string"==typeof s.options.success?window[s.options.success](s.media,s.domNode,s):s.options.success(s.media,s.domNode,s)));s.buildposter(s,s.controls,s.layers,s.media),s.buildkeyboard(s,s.controls,s.layers,s.media),s.buildoverlays(s,s.controls,s.layers,s.media),s.findTracks();for(r in s.options.features)if(i=s.options.features[r],s["build"+i])try{s["build"+i](s,s.controls,s.layers,s.media)}catch(l){}s.container.trigger("controlsready"),s.setPlayerSize(s.width,s.height),s.setControlsSize(),s.isVideo&&(mejs.MediaFeatures.hasTouch&&!s.options.alwaysShowControls?s.$media.bind("touchstart",function(){s.controlsAreVisible?s.hideControls(!1):s.controlsEnabled&&s.showControls(!1)}):(s.clickToPlayPauseCallback=function(){if(s.options.clickToPlayPause){s.media.paused?s.play():s.pause();var e=s.$media.closest(".mejs-container").find(".mejs-overlay-button"),t=e.attr("aria-pressed");e.attr("aria-pressed",!t)}},s.media.addEventListener("click",s.clickToPlayPauseCallback,!1),s.container.bind("mouseenter",function(){s.controlsEnabled&&(s.options.alwaysShowControls||(s.killControlsTimer("enter"),s.showControls(),s.startControlsTimer(s.options.controlsTimeoutMouseEnter)))}).bind("mousemove",function(){s.controlsEnabled&&(s.controlsAreVisible||s.showControls(),s.options.alwaysShowControls||s.startControlsTimer(s.options.controlsTimeoutMouseEnter))}).bind("mouseleave",function(){s.controlsEnabled&&(s.media.paused||s.options.alwaysShowControls||s.startControlsTimer(s.options.controlsTimeoutMouseLeave))})),s.options.hideVideoControlsOnLoad&&s.hideControls(!1),f&&!s.options.alwaysShowControls&&s.hideControls(),s.options.enableAutosize&&s.media.addEventListener("loadedmetadata",function(e){s.options.videoHeight<=0&&null===s.domNode.getAttribute("height")&&!isNaN(e.target.videoHeight)&&(s.setPlayerSize(e.target.videoWidth,e.target.videoHeight),s.setControlsSize(),s.media.setVideoSize(e.target.videoWidth,e.target.videoHeight))},!1)),s.media.addEventListener("play",function(){var e;for(e in mejs.players){var t=mejs.players[e];t.id==s.id||!s.options.pauseOtherPlayers||t.paused||t.ended||t.pause(),t.hasFocus=!1}s.hasFocus=!0},!1),s.media.addEventListener("ended",function(t){if(s.options.autoRewind)try{s.media.setCurrentTime(0),window.setTimeout(function(){e(s.container).find(".mejs-overlay-loading").parent().hide()},20)}catch(n){}"youtube"===s.media.pluginType?s.media.stop():s.media.pause(),s.setProgressRail&&s.setProgressRail(),s.setCurrentRail&&s.setCurrentRail(),s.options.loop?s.play():!s.options.alwaysShowControls&&s.controlsEnabled&&s.showControls()},!1),s.media.addEventListener("loadedmetadata",function(){mejs.Utility.calculateTimeFormat(s.duration,s.options,s.options.framesPerSecond||25),s.updateDuration&&s.updateDuration(),s.updateCurrent&&s.updateCurrent(),s.isFullScreen||(s.setPlayerSize(s.width,s.height),s.setControlsSize())},!1);var c=null;s.media.addEventListener("timeupdate",function(){c!==this.duration&&(c=this.duration,mejs.Utility.calculateTimeFormat(c,s.options,s.options.framesPerSecond||25),s.updateDuration&&s.updateDuration(),s.updateCurrent&&s.updateCurrent(),s.setControlsSize())},!1),s.container.focusout(function(t){if(t.relatedTarget){var n=e(t.relatedTarget);s.keyboardAction&&0===n.parents(".mejs-container").length&&(s.keyboardAction=!1,s.isVideo&&!s.options.alwaysShowControls&&s.hideControls(!0))}}),setTimeout(function(){s.setPlayerSize(s.width,s.height),s.setControlsSize()},50),s.globalBind("resize",function(){s.isFullScreen||mejs.MediaFeatures.hasTrueNativeFullScreen&&document.webkitIsFullScreen||s.setPlayerSize(s.width,s.height),s.setControlsSize()}),"youtube"==s.media.pluginType&&(o.isiOS||o.isAndroid)&&(s.container.find(".mejs-overlay-play").hide(),s.container.find(".mejs-poster").hide())}f&&"native"==t.pluginType&&s.play(),s.options.success&&("string"==typeof s.options.success?window[s.options.success](s.media,s.domNode,s):s.options.success(s.media,s.domNode,s))}},handleError:function(e){var t=this;t.controls&&t.controls.hide(),t.options.error&&t.options.error(e)},setPlayerSize:function(e,t){var n=this;if(!n.options.setDimensions)return!1;switch("undefined"!=typeof e&&(n.width=e),"undefined"!=typeof t&&(n.height=t),n.options.stretching){case"fill":n.isVideo?this.setFillMode():this.setDimensions(n.width,n.height);break;case"responsive":this.setResponsiveMode();break;case"none":this.setDimensions(n.width,n.height);break;default:this.hasFluidMode()===!0?this.setResponsiveMode():this.setDimensions(n.width,n.height)}},hasFluidMode:function(){var e=this;return e.height.toString().indexOf("%")>0||"none"!==e.$node.css("max-width")&&"t.width"!==e.$node.css("max-width")||e.$node[0].currentStyle&&"100%"===e.$node[0].currentStyle.maxWidth},setResponsiveMode:function(){var t=this,n=function(){return t.isVideo?t.media.videoWidth&&t.media.videoWidth>0?t.media.videoWidth:null!==t.media.getAttribute("width")?t.media.getAttribute("width"):t.options.defaultVideoWidth:t.options.defaultAudioWidth}(),r=function(){return t.isVideo?t.media.videoHeight&&t.media.videoHeight>0?t.media.videoHeight:null!==t.media.getAttribute("height")?t.media.getAttribute("height"):t.options.defaultVideoHeight:t.options.defaultAudioHeight}(),i=t.container.parent().closest(":visible").width(),s=t.container.parent().closest(":visible").height(),o=t.isVideo||!t.options.autosizeProgress?parseInt(i*r/n,10):r;(isNaN(o)||0!==s&&o>s&&s>r)&&(o=s),t.container.parent().length>0&&"body"===t.container.parent()[0].tagName.toLowerCase()&&(i=e(window).width(),o=e(window).height()),o&&i&&(t.container.width(i).height(o),t.$media.add(t.container.find(".mejs-shim")).width("100%").height("100%"),t.isVideo&&t.media.setVideoSize&&t.media.setVideoSize(i,o),t.layers.children(".mejs-layer").width("100%").height("100%"))},setFillMode:function(){var e=this,t=e.outerContainer;t.width()||t.height(e.$media.width()),t.height()||t.height(e.$media.height());var n=t.width(),r=t.height();e.setDimensions("100%","100%"),e.container.find(".mejs-poster img").css("display","block"),targetElement=e.container.find("object, embed, iframe, video");var i=e.height,s=e.width,o=n,u=i*n/s,a=s*r/i,f=r,l=!(a>n),c=l?Math.floor(o):Math.floor(a),h=l?Math.floor(u):Math.floor(f);l?(targetElement.height(h).width(n),e.media.setVideoSize&&e.media.setVideoSize(n,h)):(targetElement.height(r).width(c),e.media.setVideoSize&&e.media.setVideoSize(c,r)),targetElement.css({"margin-left":Math.floor((n-c)/2),"margin-top":0})},setDimensions:function(e,t){var n=this;n.container.width(e).height(t),n.layers.children(".mejs-layer").width(e).height(t)},setControlsSize:function(){var t=this,n=0,r=0,i=t.controls.find(".mejs-time-rail"),s=t.controls.find(".mejs-time-total"),o=i.siblings(),u=o.last(),f=null,l=t.options&&!t.options.autosizeProgress;if(t.container.is(":visible")&&i.length&&i.is(":visible")){l&&(r=parseInt(i.css("width"),10)),0!==r&&r||(o.each(function(){var t=e(this);"absolute"!=t.css("position")&&t.is(":visible")&&(n+=e(this).outerWidth(!0))}),r=t.controls.width()-n-(i.outerWidth(!0)-i.width()));do l||i.width(r),s.width(r-(s.outerWidth(!0)-s.width())),"absolute"!=u.css("position")&&(f=u.length?u.position():null,r--);while(null!==f&&f.top.toFixed(2)>0&&r>0);t.container.trigger("controlsresize")}},buildposter:function(t,n,r,i){var s=this,o=e('<div class="mejs-poster mejs-layer"></div>').appendTo(r),u=t.$media.attr("poster");""!==t.options.poster&&(u=t.options.poster),u?s.setPoster(u):o.hide(),i.addEventListener("play",function(){o.hide()},!1),t.options.showPosterWhenEnded&&t.options.autoRewind&&i.addEventListener("ended",function(){o.show()},!1)},setPoster:function(t){var n=this,r=n.container.find(".mejs-poster"),i=r.find("img");0===i.length&&(i=e('<img width="100%" height="100%" alt="" />').appendTo(r)),i.attr("src",t),r.css({"background-image":"url("+t+")"})},buildoverlays:function(t,n,r,i){var s=this;if(t.isVideo){var o=e('<div class="mejs-overlay mejs-layer"><div class="mejs-overlay-loading"><span></span></div></div>').hide().appendTo(r),u=e('<div class="mejs-overlay mejs-layer"><div class="mejs-overlay-error"></div></div>').hide().appendTo(r),f=e('<div class="mejs-overlay mejs-layer mejs-overlay-play"><div class="mejs-overlay-button" role="button" aria-label="'+mejs.i18n.t("mejs.play")+'" aria-pressed="false"></div></div>').appendTo(r).bind("click",function(){if(s.options.clickToPlayPause){i.paused&&i.play();var t=e(this).find(".mejs-overlay-button"),n=t.attr("aria-pressed");t.attr("aria-pressed",!!n)}});i.addEventListener("play",function(){f.hide(),o.hide(),n.find(".mejs-time-buffering").hide(),u.hide()},!1),i.addEventListener("playing",function(){f.hide(),o.hide(),n.find(".mejs-time-buffering").hide(),u.hide()},!1),i.addEventListener("seeking",function(){o.show(),n.find(".mejs-time-buffering").show()},!1),i.addEventListener("seeked",function(){o.hide(),n.find(".mejs-time-buffering").hide()},!1),i.addEventListener("pause",function(){mejs.MediaFeatures.isiPhone||f.show()},!1),i.addEventListener("waiting",function(){o.show(),n.find(".mejs-time-buffering").show()},!1),i.addEventListener("loadeddata",function(){o.show(),n.find(".mejs-time-buffering").show(),mejs.MediaFeatures.isAndroid&&(i.canplayTimeout=window.setTimeout(function(){if(document.createEvent){var e=document.createEvent("HTMLEvents");return e.initEvent("canplay",!0,!0),i.dispatchEvent(e)}},300))},!1),i.addEventListener("canplay",function(){o.hide(),n.find(".mejs-time-buffering").hide(),clearTimeout(i.canplayTimeout)},!1),i.addEventListener("error",function(e){s.handleError(e),o.hide(),f.hide(),u.show(),u.find(".mejs-overlay-error").html("Error loading this resource")},!1),i.addEventListener("keydown",function(e){s.onkeydown(t,i,e)},!1)}},buildkeyboard:function(t,n,r,i){var s=this;s.container.keydown(function(){s.keyboardAction=!0}),s.globalBind("keydown",function(n){return t.hasFocus=0!==e(n.target).closest(".mejs-container").length&&e(n.target).closest(".mejs-container").attr("id")===t.$media.closest(".mejs-container").attr("id"),s.onkeydown(t,i,n)}),s.globalBind("click",function(n){t.hasFocus=0!==e(n.target).closest(".mejs-container").length})},onkeydown:function(e,t,n){if(e.hasFocus&&e.options.enableKeyboard)for(var r=0,i=e.options.keyActions.length;i>r;r++)for(var s=e.options.keyActions[r],o=0,u=s.keys.length;u>o;o++)if(n.keyCode==s.keys[o])return"function"==typeof n.preventDefault&&n.preventDefault(),s.action(e,t,n.keyCode,n),!1;return!0},findTracks:function(){var t=this,n=t.$media.find("track");t.tracks=[],n.each(function(n,r){r=e(r),t.tracks.push({srclang:r.attr("srclang")?r.attr("srclang").toLowerCase():"",src:r.attr("src"),kind:r.attr("kind"),label:r.attr("label")||"",entries:[],isLoaded:!1})})},changeSkin:function(e){this.container[0].className="mejs-container "+e,this.setPlayerSize(this.width,this.height),this.setControlsSize()},play:function(){this.load(),this.media.play()},pause:function(){try{this.media.pause()}catch(e){}},load:function(){this.isLoaded||this.media.load(),this.isLoaded=!0},setMuted:function(e){this.media.setMuted(e)},setCurrentTime:function(e){this.media.setCurrentTime(e)},getCurrentTime:function(){return this.media.currentTime},setVolume:function(e){this.media.setVolume(e)},getVolume:function(){return this.media.volume},setSrc:function(e){var t=this;if("youtube"===t.media.pluginType){var n;if("string"!=typeof e){var r,i;for(r=0;r<e.length;r++)if(i=e[r],this.canPlayType(i.type)){e=i.src;break}}if(-1!==e.lastIndexOf("youtu.be"))n=e.substr(e.lastIndexOf("/")+1),-1!==n.indexOf("?")&&(n=n.substr(0,n.indexOf("?")));else{var s=e.match(/[?&]v=([^&#]+)|&|#|$/);s&&(n=s[1])}null!==t.media.getAttribute("autoplay")?t.media.pluginApi.loadVideoById(n):t.media.pluginApi.cueVideoById(n)}else t.media.setSrc(e)},remove:function(){var e,t,n=this;n.container.prev(".mejs-offscreen").remove();for(e in n.options.features)if(t=n.options.features[e],n["clean"+t])try{n["clean"+t](n)}catch(r){}n.isDynamic?n.$node.insertBefore(n.container):(n.$media.prop("controls",!0),n.$node.clone().insertBefore(n.container).show(),n.$node.remove()),"native"!==n.media.pluginType&&n.media.remove(),delete mejs.players[n.id],"object"==typeof n.container&&n.container.remove(),n.globalUnbind(),delete n.node.player},rebuildtracks:function(){var e=this;e.findTracks(),e.buildtracks(e,e.controls,e.layers,e.media)},resetSize:function(){var e=this;setTimeout(function(){e.setPlayerSize(e.width,e.height),e.setControlsSize()},50)}},function(){function t(t,r){var i={d:[],w:[]};return e.each((t||"").split(" "),function(e,t){var s=t+"."+r;0===s.indexOf(".")?(i.d.push(s),i.w.push(s)):i[n.test(t)?"w":"d"].push(s)}),i.d=i.d.join(" "),i.w=i.w.join(" "),i}var n=/^((after|before)print|(before)?unload|hashchange|message|o(ff|n)line|page(hide|show)|popstate|resize|storage)\b/;mejs.MediaElementPlayer.prototype.globalBind=function(n,r,i){var s=this,o=s.node?s.node.ownerDocument:document;n=t(n,s.id),n.d&&e(o).bind(n.d,r,i),n.w&&e(window).bind(n.w,r,i)},mejs.MediaElementPlayer.prototype.globalUnbind=function(n,r){var i=this,s=i.node?i.node.ownerDocument:document;n=t(n,i.id),n.d&&e(s).unbind(n.d,r),n.w&&e(window).unbind(n.w,r)}}(),"undefined"!=typeof e&&(e.fn.mediaelementplayer=function(t){return t===!1?this.each(function(){var t=e(this).data("mediaelementplayer");t&&t.remove(),e(this).removeData("mediaelementplayer")}):this.each(function(){e(this).data("mediaelementplayer",new mejs.MediaElementPlayer(this,t))}),this},e(document).ready(function(){e(".mejs-player").mediaelementplayer()})),window.MediaElementPlayer=mejs.MediaElementPlayer}(mejs.$),function(e){e.extend(mejs.MepDefaults,{playText:"",pauseText:""}),e.extend(MediaElementPlayer.prototype,{buildplaypause:function(t,n,r,i){function s(e){"play"===e?(c.removeClass("mejs-play").addClass("mejs-pause"),h.attr({title:l,"aria-label":l})):(c.removeClass("mejs-pause").addClass("mejs-play"),h.attr({title:f,"aria-label":f}))}var o=this,u=o.options,f=u.playText?u.playText:mejs.i18n.t("mejs.play"),l=u.pauseText?u.pauseText:mejs.i18n.t("mejs.pause"),c=e('<div class="mejs-button mejs-playpause-button mejs-play" ><button type="button" aria-controls="'+o.id+'" title="'+f+'" aria-label="'+l+'"></button></div>').appendTo(n).click(function(e){return e.preventDefault(),i.paused?i.play():i.pause(),!1}),h=c.find("button");s("pse"),i.addEventListener("play",function(){s("play")},!1),i.addEventListener("playing",function(){s("play")},!1),i.addEventListener("pause",function(){s("pse")},!1),i.addEventListener("paused",function(){s("pse")},!1)}})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{stopText:"Stop"}),e.extend(MediaElementPlayer.prototype,{buildstop:function(t,n,r,i){var s=this;e('<div class="mejs-button mejs-stop-button mejs-stop"><button type="button" aria-controls="'+s.id+'" title="'+s.options.stopText+'" aria-label="'+s.options.stopText+'"></button></div>').appendTo(n).click(function(){i.paused||i.pause(),i.currentTime>0&&(i.setCurrentTime(0),i.pause(),n.find(".mejs-time-current").width("0px"),n.find(".mejs-time-handle").css("left","0px"),n.find(".mejs-time-float-current").html(mejs.Utility.secondsToTimeCode(0,t.options)),n.find(".mejs-currenttime").html(mejs.Utility.secondsToTimeCode(0,t.options)),r.find(".mejs-poster").show())})}})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{enableProgressTooltip:!0,progressHelpText:""}),e.extend(MediaElementPlayer.prototype,{buildprogress:function(t,n,r,i){var s=this,o=!1,u=!1,f=0,l=!1,c=t.options.autoRewind,h=(s.options.progressHelpText?s.options.progressHelpText:mejs.i18n.t("mejs.time-help-text"),t.options.enableProgressTooltip?'<span class="mejs-time-float"><span class="mejs-time-float-current">00:00</span><span class="mejs-time-float-corner"></span></span>':"");e('<div class="mejs-time-rail"><span  class="mejs-time-total mejs-time-slider"><span class="mejs-time-buffering"></span><span class="mejs-time-loaded"></span><span class="mejs-time-current"></span><span class="mejs-time-handle"></span>'+h+"</span></div>").appendTo(n),n.find(".mejs-time-buffering").hide(),s.total=n.find(".mejs-time-total"),s.loaded=n.find(".mejs-time-loaded"),s.current=n.find(".mejs-time-current"),s.handle=n.find(".mejs-time-handle"),s.timefloat=n.find(".mejs-time-float"),s.timefloatcurrent=n.find(".mejs-time-float-current"),s.slider=n.find(".mejs-time-slider");var p=function(e){var n,r=s.total.offset(),u=s.total.width(),a=0,f=0,l=0;n=e.originalEvent&&e.originalEvent.changedTouches?e.originalEvent.changedTouches[0].pageX:e.changedTouches?e.changedTouches[0].pageX:e.pageX,i.duration&&(n<r.left?n=r.left:n>u+r.left&&(n=u+r.left),l=n-r.left,a=l/u,f=.02>=a?0:a*i.duration,o&&f!==i.currentTime&&i.setCurrentTime(f),mejs.MediaFeatures.hasTouch||(s.timefloat.css("left",l),s.timefloatcurrent.html(mejs.Utility.secondsToTimeCode(f,t.options)),s.timefloat.show()))},d=function(e){var n=i.currentTime,r=mejs.i18n.t("mejs.time-slider"),o=mejs.Utility.secondsToTimeCode(n,t.options),u=i.duration;s.slider.attr({"aria-label":r,"aria-valuemin":0,"aria-valuemax":u,"aria-valuenow":n,"aria-valuetext":o,role:"slider",tabindex:0})},v=function(){var e=new Date;e-f>=1e3&&i.play()};s.slider.bind("focus",function(e){t.options.autoRewind=!1}),s.slider.bind("blur",function(e){t.options.autoRewind=c}),s.slider.bind("keydown",function(e){new Date-f>=1e3&&(l=i.paused);var n=e.keyCode,r=i.duration,s=i.currentTime,o=t.options.defaultSeekForwardInterval(i),u=t.options.defaultSeekBackwardInterval(i);switch(n){case 37:case 40:s-=u;break;case 39:case 38:s+=o;break;case 36:s=0;break;case 35:s=r;break;case 32:case 13:return void (i.paused?i.play():i.pause());default:return}return s=0>s?0:s>=r?r:Math.floor(s),f=new Date,l||i.pause(),s<i.duration&&!l&&setTimeout(v,1100),i.setCurrentTime(s),e.preventDefault(),e.stopPropagation(),!1}),s.total.bind("mousedown touchstart",function(e){(1===e.which||0===e.which)&&(o=!0,p(e),s.globalBind("mousemove.dur touchmove.dur",function(e){p(e)}),s.globalBind("mouseup.dur touchend.dur",function(e){o=!1,"undefined"!=typeof s.timefloat&&s.timefloat.hide(),s.globalUnbind(".dur")}))}).bind("mouseenter",function(e){u=!0,s.globalBind("mousemove.dur",function(e){p(e)}),"undefined"==typeof s.timefloat||mejs.MediaFeatures.hasTouch||s.timefloat.show()}).bind("mouseleave",function(e){u=!1,o||(s.globalUnbind(".dur"),"undefined"!=typeof s.timefloat&&s.timefloat.hide())}),i.addEventListener("progress",function(e){t.setProgressRail(e),t.setCurrentRail(e)},!1),i.addEventListener("timeupdate",function(e){t.setProgressRail(e),t.setCurrentRail(e),d(e)},!1),s.container.on("controlsresize",function(e){t.setProgressRail(e),t.setCurrentRail(e)})},setProgressRail:function(e){var t=this,n=void 0!==e?e.target:t.media,r=null;n&&n.buffered&&n.buffered.length>0&&n.buffered.end&&n.duration?r=n.buffered.end(n.buffered.length-1)/n.duration:n&&void 0!==n.bytesTotal&&n.bytesTotal>0&&void 0!==n.bufferedBytes?r=n.bufferedBytes/n.bytesTotal:e&&e.lengthComputable&&0!==e.total&&(r=e.loaded/e.total),null!==r&&(r=Math.min(1,Math.max(0,r)),t.loaded&&t.total&&t.loaded.width(t.total.width()*r))},setCurrentRail:function(){var e=this;if(void 0!==e.media.currentTime&&e.media.duration&&e.total&&e.handle){var t=Math.round(e.total.width()*e.media.currentTime/e.media.duration),n=t-Math.round(e.handle.outerWidth(!0)/2);e.current.width(t),e.handle.css("left",n)}}})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{duration:-1,timeAndDurationSeparator:"<span> | </span>"}),e.extend(MediaElementPlayer.prototype,{buildcurrent:function(t,n,r,i){var s=this;e('<div class="mejs-time" role="timer" aria-live="off"><span class="mejs-currenttime">'+mejs.Utility.secondsToTimeCode(0,t.options)+"</span></div>").appendTo(n),s.currenttime=s.controls.find(".mejs-currenttime"),i.addEventListener("timeupdate",function(){s.controlsAreVisible&&t.updateCurrent()},!1)},buildduration:function(t,n,r,i){var s=this;n.children().last().find(".mejs-currenttime").length>0?e(s.options.timeAndDurationSeparator+'<span class="mejs-duration">'+mejs.Utility.secondsToTimeCode(s.options.duration,s.options)+"</span>").appendTo(n.find(".mejs-time")):(n.find(".mejs-currenttime").parent().addClass("mejs-currenttime-container"),e('<div class="mejs-time mejs-duration-container"><span class="mejs-duration">'+mejs.Utility.secondsToTimeCode(s.options.duration,s.options)+"</span></div>").appendTo(n)),s.durationD=s.controls.find(".mejs-duration"),i.addEventListener("timeupdate",function(){s.controlsAreVisible&&t.updateDuration()},!1)},updateCurrent:function(){var e=this,t=e.media.currentTime;isNaN(t)&&(t=0),e.currenttime&&e.currenttime.html(mejs.Utility.secondsToTimeCode(t,e.options))},updateDuration:function(){var e=this,t=e.media.duration;e.options.duration>0&&(t=e.options.duration),isNaN(t)&&(t=0),e.container.toggleClass("mejs-long-video",t>3600),e.durationD&&t>0&&e.durationD.html(mejs.Utility.secondsToTimeCode(t,e.options))}})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{muteText:mejs.i18n.t("mejs.mute-toggle"),allyVolumeControlText:mejs.i18n.t("mejs.volume-help-text"),hideVolumeOnTouchDevices:!0,audioVolume:"horizontal",videoVolume:"vertical"}),e.extend(MediaElementPlayer.prototype,{buildvolume:function(t,n,r,i){if(!mejs.MediaFeatures.isAndroid&&!mejs.MediaFeatures.isiOS||!this.options.hideVolumeOnTouchDevices){var s=this,o=s.isVideo?s.options.videoVolume:s.options.audioVolume,u="horizontal"==o?e('<div class="mejs-button mejs-volume-button mejs-mute"><button type="button" aria-controls="'+s.id+'" title="'+s.options.muteText+'" aria-label="'+s.options.muteText+'"></button></div><a href="javascript:void(0);" class="mejs-horizontal-volume-slider"><span class="mejs-offscreen">'+s.options.allyVolumeControlText+'</span><div class="mejs-horizontal-volume-total"></div><div class="mejs-horizontal-volume-current"></div><div class="mejs-horizontal-volume-handle"></div></a>').appendTo(n):e('<div class="mejs-button mejs-volume-button mejs-mute"><button type="button" aria-controls="'+s.id+'" title="'+s.options.muteText+'" aria-label="'+s.options.muteText+'"></button><a href="javascript:void(0);" class="mejs-volume-slider"><span class="mejs-offscreen">'+s.options.allyVolumeControlText+'</span><div class="mejs-volume-total"></div><div class="mejs-volume-current"></div><div class="mejs-volume-handle"></div></a></div>').appendTo(n),f=s.container.find(".mejs-volume-slider, .mejs-horizontal-volume-slider"),l=s.container.find(".mejs-volume-total, .mejs-horizontal-volume-total"),c=s.container.find(".mejs-volume-current, .mejs-horizontal-volume-current"),h=s.container.find(".mejs-volume-handle, .mejs-horizontal-volume-handle"),p=function(e,t){if(!f.is(":visible")&&"undefined"==typeof 
t)return f.show(),p(e,!0),void f.hide();e=Math.max(0,e),e=Math.min(e,1),0===e?(u.removeClass("mejs-mute").addClass("mejs-unmute"),u.children("button").attr("title",mejs.i18n.t("mejs.unmute")).attr("aria-label",mejs.i18n.t("mejs.unmute"))):(u.removeClass("mejs-unmute").addClass("mejs-mute"),u.children("button").attr("title",mejs.i18n.t("mejs.mute")).attr("aria-label",mejs.i18n.t("mejs.mute")));var n=l.position();if("vertical"==o){var r=l.height(),i=r-r*e;h.css("top",Math.round(n.top+i-h.height()/2)),c.height(r-i),c.css("top",n.top+i)}else{var s=l.width(),a=s*e;h.css("left",Math.round(n.left+a-h.width()/2)),c.width(Math.round(a))}},d=function(e){var t=null,n=l.offset();if("vertical"===o){var r=l.height(),s=e.pageY-n.top;if(t=(r-s)/r,0===n.top||0===n.left)return}else{var u=l.width(),a=e.pageX-n.left;t=a/u}t=Math.max(0,t),t=Math.min(t,1),p(t),0===t?i.setMuted(!0):i.setMuted(!1),i.setVolume(t)},v=!1,m=!1;u.hover(function(){f.show(),m=!0},function(){m=!1,v||"vertical"!=o||f.hide()});var g=function(e){var t=Math.floor(100*i.volume);f.attr({"aria-label":mejs.i18n.t("mejs.volume-slider"),"aria-valuemin":0,"aria-valuemax":100,"aria-valuenow":t,"aria-valuetext":t+"%",role:"slider",tabindex:0})};f.bind("mouseover",function(){m=!0}).bind("mousedown",function(e){return d(e),s.globalBind("mousemove.vol",function(e){d(e)}),s.globalBind("mouseup.vol",function(){v=!1,s.globalUnbind(".vol"),m||"vertical"!=o||f.hide()}),v=!0,!1}).bind("keydown",function(e){var t=e.keyCode,n=i.volume;switch(t){case 38:n=Math.min(n+.1,1);break;case 40:n=Math.max(0,n-.1);break;default:return!0}return v=!1,p(n),i.setVolume(n),!1}),u.find("button").click(function(){i.setMuted(!i.muted)}),u.find("button").bind("focus",function(){f.show()}),i.addEventListener("volumechange",function(e){v||(i.muted?(p(0),u.removeClass("mejs-mute").addClass("mejs-unmute")):(p(i.volume),u.removeClass("mejs-unmute").addClass("mejs-mute"))),g(e)},!1),0===t.options.startVolume&&i.setMuted(!0),"native"===i.pluginType&&i.setVolume(t.options.startVolume),s.container.on("controlsresize",function(){i.muted?(p(0),u.removeClass("mejs-mute").addClass("mejs-unmute")):(p(i.volume),u.removeClass("mejs-unmute").addClass("mejs-mute"))})}}})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{usePluginFullScreen:!0,newWindowCallback:function(){return""},fullscreenText:""}),e.extend(MediaElementPlayer.prototype,{isFullScreen:!1,isNativeFullScreen:!1,isInIframe:!1,fullscreenMode:"",buildfullscreen:function(t,n,r,i){if(t.isVideo){t.isInIframe=window.location!=window.parent.location,i.addEventListener("loadstart",function(){t.detectFullscreenMode()});var s=this,o=null,u=s.options.fullscreenText?s.options.fullscreenText:mejs.i18n.t("mejs.fullscreen"),f=e('<div class="mejs-button mejs-fullscreen-button"><button type="button" aria-controls="'+s.id+'" title="'+u+'" aria-label="'+u+'"></button></div>').appendTo(n).on("click",function(){var e=mejs.MediaFeatures.hasTrueNativeFullScreen&&mejs.MediaFeatures.isFullScreen()||t.isFullScreen;e?t.exitFullScreen():t.enterFullScreen()}).on("mouseover",function(){if("plugin-hover"==s.fullscreenMode){null!==o&&(clearTimeout(o),delete o);var e=f.offset(),n=t.container.offset();i.positionFullscreenButton(e.left-n.left,e.top-n.top,!0)}}).on("mouseout",function(){"plugin-hover"==s.fullscreenMode&&(null!==o&&(clearTimeout(o),delete o),o=setTimeout(function(){i.hideFullscreenButton()},1500))});if(t.fullscreenBtn=f,s.globalBind("keydown",function(e){27==e.keyCode&&(mejs.MediaFeatures.hasTrueNativeFullScreen&&mejs.MediaFeatures.isFullScreen()||s.isFullScreen)&&t.exitFullScreen()}),s.normalHeight=0,s.normalWidth=0,mejs.MediaFeatures.hasTrueNativeFullScreen){var l=function(e){t.isFullScreen&&(mejs.MediaFeatures.isFullScreen()?(t.isNativeFullScreen=!0,t.setControlsSize()):(t.isNativeFullScreen=!1,t.exitFullScreen()))};t.globalBind(mejs.MediaFeatures.fullScreenEventName,l)}}},detectFullscreenMode:function(){var e=this,t="",n=mejs.MediaFeatures;return n.hasTrueNativeFullScreen&&"native"===e.media.pluginType?t="native-native":n.hasTrueNativeFullScreen&&"native"!==e.media.pluginType&&!n.hasFirefoxPluginMovingProblem?t="plugin-native":e.usePluginFullScreen?mejs.MediaFeatures.supportsPointerEvents?(t="plugin-click",e.createPluginClickThrough()):t="plugin-hover":t="fullwindow",e.fullscreenMode=t,t},isPluginClickThroughCreated:!1,createPluginClickThrough:function(){var t=this;if(!t.isPluginClickThroughCreated){var n,r,i=!1,s=function(){if(i){for(var e in o)o[e].hide();t.fullscreenBtn.css("pointer-events",""),t.controls.css("pointer-events",""),t.media.removeEventListener("click",t.clickToPlayPauseCallback),i=!1}},o={},u=["top","left","right","bottom"],f=function(){var e=fullscreenBtn.offset().left-t.container.offset().left,r=fullscreenBtn.offset().top-t.container.offset().top,i=fullscreenBtn.outerWidth(!0),s=fullscreenBtn.outerHeight(!0),u=t.container.width(),a=t.container.height();for(n in o)o[n].css({position:"absolute",top:0,left:0});o.top.width(u).height(r),o.left.width(e).height(s).css({top:r}),o.right.width(u-e-i).height(s).css({top:r,left:e+i}),o.bottom.width(u).height(a-s-r).css({top:r+s})};for(t.globalBind("resize",function(){f()}),n=0,r=u.length;r>n;n++)o[u[n]]=e('<div class="mejs-fullscreen-hover" />').appendTo(t.container).mouseover(s).hide();fullscreenBtn.on("mouseover",function(){if(!t.isFullScreen){var e=fullscreenBtn.offset(),r=player.container.offset();media.positionFullscreenButton(e.left-r.left,e.top-r.top,!1),t.fullscreenBtn.css("pointer-events","none"),t.controls.css("pointer-events","none"),t.media.addEventListener("click",t.clickToPlayPauseCallback);for(n in o)o[n].show();f(),i=!0}}),media.addEventListener("fullscreenchange",function(e){t.isFullScreen=!t.isFullScreen,t.isFullScreen?t.media.removeEventListener("click",t.clickToPlayPauseCallback):t.media.addEventListener("click",t.clickToPlayPauseCallback),s()}),t.globalBind("mousemove",function(e){if(i){var n=fullscreenBtn.offset();(e.pageY<n.top||e.pageY>n.top+fullscreenBtn.outerHeight(!0)||e.pageX<n.left||e.pageX>n.left+fullscreenBtn.outerWidth(!0))&&(fullscreenBtn.css("pointer-events",""),t.controls.css("pointer-events",""),i=!1)}}),t.isPluginClickThroughCreated=!0}},cleanfullscreen:function(e){e.exitFullScreen()},containerSizeTimeout:null,enterFullScreen:function(){var t=this;if(mejs.MediaFeatures.isiOS&&mejs.MediaFeatures.hasiOSFullScreen&&"function"==typeof t.media.webkitEnterFullscreen)return void t.media.webkitEnterFullscreen();e(document.documentElement).addClass("mejs-fullscreen"),t.normalHeight=t.container.height(),t.normalWidth=t.container.width(),"native-native"===t.fullscreenMode||"plugin-native"===t.fullscreenMode?(mejs.MediaFeatures.requestFullScreen(t.container[0]),t.isInIframe&&setTimeout(function r(){if(t.isNativeFullScreen){var n=.002,i=e(window).width(),s=screen.width,o=Math.abs(s-i),u=s*n;o>u?t.exitFullScreen():setTimeout(r,500)}},1e3)):"fullwindow"==t.fullscreeMode,t.container.addClass("mejs-container-fullscreen").width("100%").height("100%"),t.containerSizeTimeout=setTimeout(function(){t.container.css({width:"100%",height:"100%"}),t.setControlsSize()},500),"native"===t.media.pluginType?t.$media.width("100%").height("100%"):(t.container.find(".mejs-shim").width("100%").height("100%"),setTimeout(function(){var n=e(window),r=n.width(),i=n.height();t.media.setVideoSize(r,i)},500)),t.layers.children("div").width("100%").height("100%"),t.fullscreenBtn&&t.fullscreenBtn.removeClass("mejs-fullscreen").addClass("mejs-unfullscreen"),t.setControlsSize(),t.isFullScreen=!0;var n=Math.min(screen.width/t.width,screen.height/t.height);t.container.find(".mejs-captions-text").css("font-size",100*n+"%"),t.container.find(".mejs-captions-text").css("line-height","normal"),t.container.find(".mejs-captions-position").css("bottom","45px"),t.container.trigger("enteredfullscreen")},exitFullScreen:function(){var t=this;clearTimeout(t.containerSizeTimeout),mejs.MediaFeatures.hasTrueNativeFullScreen&&(mejs.MediaFeatures.isFullScreen()||t.isFullScreen)&&mejs.MediaFeatures.cancelFullScreen(),e(document.documentElement).removeClass("mejs-fullscreen"),t.container.removeClass("mejs-container-fullscreen").width(t.normalWidth).height(t.normalHeight),"native"===t.media.pluginType?t.$media.width(t.normalWidth).height(t.normalHeight):(t.container.find(".mejs-shim").width(t.normalWidth).height(t.normalHeight),t.media.setVideoSize(t.normalWidth,t.normalHeight)),t.layers.children("div").width(t.normalWidth).height(t.normalHeight),t.fullscreenBtn.removeClass("mejs-unfullscreen").addClass("mejs-fullscreen"),t.setControlsSize(),t.isFullScreen=!1,t.container.find(".mejs-captions-text").css("font-size",""),t.container.find(".mejs-captions-text").css("line-height",""),t.container.find(".mejs-captions-position").css("bottom",""),t.container.trigger("exitedfullscreen")}})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{speeds:["2.00","1.50","1.25","1.00","0.75"],defaultSpeed:"1.00",speedChar:"x"}),e.extend(MediaElementPlayer.prototype,{buildspeed:function(t,n,r,i){var s=this;if("native"==s.media.pluginType){for(var o=null,u=null,f=null,l=null,c=[],h=!1,p=0,d=s.options.speeds.length;d>p;p++){var v=s.options.speeds[p];"string"==typeof v?(c.push({name:v+s.options.speedChar,value:v}),v===s.options.defaultSpeed&&(h=!0)):(c.push(v),v.value===s.options.defaultSpeed&&(h=!0))}h||c.push({name:s.options.defaultSpeed+s.options.speedChar,value:s.options.defaultSpeed}),c.sort(function(e,t){return parseFloat(t.value)-parseFloat(e.value)});var m=function(e){for(p=0,d=c.length;d>p;p++)if(c[p].value===e)return c[p].name},g='<div class="mejs-button mejs-speed-button"><button type="button">'+m(s.options.defaultSpeed)+'</button><div class="mejs-speed-selector"><ul>';for(p=0,il=c.length;p<il;p++)l=s.id+"-speed-"+c[p].value,g+='<li><input type="radio" name="speed" value="'+c[p].value+'" id="'+l+'" '+(c[p].value===s.options.defaultSpeed?" checked":"")+' /><label for="'+l+'" '+(c[p].value===s.options.defaultSpeed?' class="mejs-speed-selected"':"")+">"+c[p].name+"</label></li>";g+="</ul></div></div>",o=e(g).appendTo(n),u=o.find(".mejs-speed-selector"),f=s.options.defaultSpeed,i.addEventListener("loadedmetadata",function(e){f&&(i.playbackRate=parseFloat(f))},!0),u.on("click",'input[type="radio"]',function(){var t=e(this).attr("value");f=t,i.playbackRate=parseFloat(t),o.find("button").html(m(t)),o.find(".mejs-speed-selected").removeClass("mejs-speed-selected"),o.find('input[type="radio"]:checked').next().addClass("mejs-speed-selected")}),o.one("mouseenter focusin",function(){u.height(o.find(".mejs-speed-selector ul").outerHeight(!0)+o.find(".mejs-speed-translations").outerHeight(!0)).css("top",-1*u.height()+"px")})}}})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{startLanguage:"",tracksText:"",tracksAriaLive:!1,hideCaptionsButtonWhenEmpty:!0,toggleCaptionsButtonWhenOnlyOne:!1,slidesSelector:""}),e.extend(MediaElementPlayer.prototype,{hasChapters:!1,cleartracks:function(e,t,n,r){e&&(e.captions&&e.captions.remove(),e.chapters&&e.chapters.remove(),e.captionsText&&e.captionsText.remove(),e.captionsButton&&e.captionsButton.remove())},buildtracks:function(t,n,r,i){if(0!==t.tracks.length){var s,o,u=this,f=u.options.tracksAriaLive?'role="log" aria-live="assertive" aria-atomic="false"':"",l=u.options.tracksText?u.options.tracksText:mejs.i18n.t("mejs.captions-subtitles");if(u.domNode.textTracks)for(s=u.domNode.textTracks.length-1;s>=0;s--)u.domNode.textTracks[s].mode="hidden";u.cleartracks(t,n,r,i),t.chapters=e('<div class="mejs-chapters mejs-layer"></div>').prependTo(r).hide(),t.captions=e('<div class="mejs-captions-layer mejs-layer"><div class="mejs-captions-position mejs-captions-position-hover" '+f+'><span class="mejs-captions-text"></span></div></div>').prependTo(r).hide(),t.captionsText=t.captions.find(".mejs-captions-text"),t.captionsButton=e('<div class="mejs-button mejs-captions-button"><button type="button" aria-controls="'+u.id+'" title="'+l+'" aria-label="'+l+'"></button><div class="mejs-captions-selector"><ul><li><input type="radio" name="'+t.id+'_captions" id="'+t.id+'_captions_none" value="none" checked="checked" /><label for="'+t.id+'_captions_none">'+mejs.i18n.t("mejs.none")+"</label></li></ul></div></div>").appendTo(n);var c=0;for(s=0;s<t.tracks.length;s++)o=t.tracks[s].kind,("subtitles"===o||"captions"===o)&&c++;for(u.options.toggleCaptionsButtonWhenOnlyOne&&1==c?t.captionsButton.on("click",function(){null===t.selectedTrack?lang=t.tracks[0].srclang:lang="none",t.setTrack(lang)}):(t.captionsButton.on("mouseenter focusin",function(){e(this).find(".mejs-captions-selector").removeClass("mejs-offscreen")}).on("click","input[type=radio]",function(){lang=this.value,t.setTrack(lang)}),t.captionsButton.on("mouseleave focusout",function(){e(this).find(".mejs-captions-selector").addClass("mejs-offscreen")})),t.options.alwaysShowControls?t.container.find(".mejs-captions-position").addClass("mejs-captions-position-hover"):t.container.bind("controlsshown",function(){t.container.find(".mejs-captions-position").addClass("mejs-captions-position-hover")}).bind("controlshidden",function(){i.paused||t.container.find(".mejs-captions-position").removeClass("mejs-captions-position-hover")}),t.trackToLoad=-1,t.selectedTrack=null,t.isLoadingTrack=!1,s=0;s<t.tracks.length;s++)o=t.tracks[s].kind,("subtitles"===o||"captions"===o)&&t.addTrackButton(t.tracks[s].srclang,t.tracks[s].label);t.loadNextTrack(),i.addEventListener("timeupdate",function(){t.displayCaptions()},!1),""!==t.options.slidesSelector&&(t.slidesContainer=e(t.options.slidesSelector),i.addEventListener("timeupdate",function(){t.displaySlides()},!1)),i.addEventListener("loadedmetadata",function(){t.displayChapters()},!1),t.container.hover(function(){t.hasChapters&&(t.chapters.removeClass("mejs-offscreen"),t.chapters.fadeIn(200).height(t.chapters.find(".mejs-chapter").outerHeight()))},function(){t.hasChapters&&!i.paused&&t.chapters.fadeOut(200,function(){e(this).addClass("mejs-offscreen"),e(this).css("display","block")})}),u.container.on("controlsresize",function(){u.adjustLanguageBox()}),null!==t.node.getAttribute("autoplay")&&t.chapters.addClass("mejs-offscreen")}},setTrack:function(e){var t,n=this;if("none"==e)n.selectedTrack=null,n.captionsButton.removeClass("mejs-captions-enabled");else for(t=0;t<n.tracks.length;t++)if(n.tracks[t].srclang==e){null===n.selectedTrack&&n.captionsButton.addClass("mejs-captions-enabled"),n.selectedTrack=n.tracks[t],n.captions.attr("lang",n.selectedTrack.srclang),n.displayCaptions();break}},loadNextTrack:function(){var e=this;e.trackToLoad++,e.trackToLoad<e.tracks.length?(e.isLoadingTrack=!0,e.loadTrack(e.trackToLoad)):(e.isLoadingTrack=!1,e.checkForTracks())},loadTrack:function(t){var n=this,r=n.tracks[t],i=function(){r.isLoaded=!0,n.enableTrackButton(r.srclang,r.label),n.loadNextTrack()};(void 0!==r.src||""!==r.src)&&e.ajax({url:r.src,dataType:"text",success:function(e){"string"==typeof e&&/<tt\s+xml/gi.exec(e)?r.entries=mejs.TrackFormatParser.dfxp.parse(e):r.entries=mejs.TrackFormatParser.webvtt.parse(e),i(),"chapters"==r.kind&&n.media.addEventListener("play",function(){n.media.duration>0&&n.displayChapters(r)},!1),"slides"==r.kind&&n.setupSlides(r)},error:function(){n.removeTrackButton(r.srclang),n.loadNextTrack()}})},enableTrackButton:function(t,n){var r=this;""===n&&(n=mejs.language.codes[t]||t),r.captionsButton.find("input[value="+t+"]").prop("disabled",!1).siblings("label").html(n),r.options.startLanguage==t&&e("#"+r.id+"_captions_"+t).prop("checked",!0).trigger("click"),r.adjustLanguageBox()},removeTrackButton:function(e){var t=this;t.captionsButton.find("input[value="+e+"]").closest("li").remove(),t.adjustLanguageBox()},addTrackButton:function(t,n){var r=this;""===n&&(n=mejs.language.codes[t]||t),r.captionsButton.find("ul").append(e('<li><input type="radio" name="'+r.id+'_captions" id="'+r.id+"_captions_"+t+'" value="'+t+'" disabled="disabled" /><label for="'+r.id+"_captions_"+t+'">'+n+" (loading)</label></li>")),r.adjustLanguageBox(),r.container.find(".mejs-captions-translations option[value="+t+"]").remove()},adjustLanguageBox:function(){var e=this;e.captionsButton.find(".mejs-captions-selector").height(e.captionsButton.find(".mejs-captions-selector ul").outerHeight(!0)+e.captionsButton.find(".mejs-captions-translations").outerHeight(!0))},checkForTracks:function(){var e=this,t=!1;if(e.options.hideCaptionsButtonWhenEmpty){for(var n=0;n<e.tracks.length;n++){var r=e.tracks[n].kind;if(("subtitles"===r||"captions"===r)&&e.tracks[n].isLoaded){t=!0;break}}t||(e.captionsButton.hide(),e.setControlsSize())}},displayCaptions:function(){if("undefined"!=typeof this.tracks){var e,t=this,n=t.selectedTrack;if(null!==n&&n.isLoaded){for(e=0;e<n.entries.times.length;e++)if(t.media.currentTime>=n.entries.times[e].start&&t.media.currentTime<=n.entries.times[e].stop)return t.captionsText.html(n.entries.text[e]).attr("class","mejs-captions-text "+(n.entries.times[e].identifier||"")),void t.captions.show().height(0);t.captions.hide()}else t.captions.hide()}},setupSlides:function(e){var t=this;t.slides=e,t.slides.entries.imgs=[t.slides.entries.text.length],t.showSlide(0)},showSlide:function(t){if("undefined"!=typeof this.tracks&&"undefined"!=typeof this.slidesContainer){var n=this,r=n.slides.entries.text[t],i=n.slides.entries.imgs[t];"undefined"==typeof i||"undefined"==typeof i.fadeIn?n.slides.entries.imgs[t]=i=e('<img src="'+r+'">').on("load",function(){i.appendTo(n.slidesContainer).hide().fadeIn().siblings(":visible").fadeOut()}):i.is(":visible")||i.is(":animated")||i.fadeIn().siblings(":visible").fadeOut()}},displaySlides:function(){if("undefined"!=typeof this.slides){var e,t=this,n=t.slides;for(e=0;e<n.entries.times.length;e++)if(t.media.currentTime>=n.entries.times[e].start&&t.media.currentTime<=n.entries.times[e].stop)return void t.showSlide(e)}},displayChapters:function(){var e,t=this;for(e=0;e<t.tracks.length;e++)if("chapters"==t.tracks[e].kind&&t.tracks[e].isLoaded){t.drawChapters(t.tracks[e]),t.hasChapters=!0;break}},drawChapters:function(t){var n,r,i=this,s=0,o=0;for(i.chapters.empty(),n=0;n<t.entries.times.length;n++)r=t.entries.times[n].stop-t.entries.times[n].start,s=Math.floor(r/i.media.duration*100),(s+o>100||n==t.entries.times.length-1&&100>s+o)&&(s=100-o),i.chapters.append(e('<div class="mejs-chapter" rel="'+t.entries.times[n].start+'" style="left: '+o.toString()+"%;width: "+s.toString()+'%;"><div class="mejs-chapter-block'+(n==t.entries.times.length-1?" mejs-chapter-block-last":"")+'"><span class="ch-title">'+t.entries.text[n]+'</span><span class="ch-time">'+mejs.Utility.secondsToTimeCode(t.entries.times[n].start,i.options)+"&ndash;"+mejs.Utility.secondsToTimeCode(t.entries.times[n].stop,i.options)+"</span></div></div>")),o+=s;i.chapters.find("div.mejs-chapter").click(function(){i.media.setCurrentTime(parseFloat(e(this).attr("rel"))),i.media.paused&&i.media.play()}),i.chapters.show()}}),mejs.language={codes:{af:"Afrikaans",sq:"Albanian",ar:"Arabic",be:"Belarusian",bg:"Bulgarian",ca:"Catalan",zh:"Chinese","zh-cn":"Chinese Simplified","zh-tw":"Chinese Traditional",hr:"Croatian",cs:"Czech",da:"Danish",nl:"Dutch",en:"English",et:"Estonian",fl:"Filipino",fi:"Finnish",fr:"French",gl:"Galician",de:"German",el:"Greek",ht:"Haitian Creole",iw:"Hebrew",hi:"Hindi",hu:"Hungarian",is:"Icelandic",id:"Indonesian",ga:"Irish",it:"Italian",ja:"Japanese",ko:"Korean",lv:"Latvian",lt:"Lithuanian",mk:"Macedonian",ms:"Malay",mt:"Maltese",no:"Norwegian",fa:"Persian",pl:"Polish",pt:"Portuguese",ro:"Romanian",ru:"Russian",sr:"Serbian",sk:"Slovak",sl:"Slovenian",es:"Spanish",sw:"Swahili",sv:"Swedish",tl:"Tagalog",th:"Thai",tr:"Turkish",uk:"Ukrainian",vi:"Vietnamese",cy:"Welsh",yi:"Yiddish"}},mejs.TrackFormatParser={webvtt:{pattern_timecode:/^((?:[0-9]{1,2}:)?[0-9]{2}:[0-9]{2}([,.][0-9]{1,3})?) --\> ((?:[0-9]{1,2}:)?[0-9]{2}:[0-9]{2}([,.][0-9]{3})?)(.*)$/,parse:function(t){for(var n,r,i,s=0,o=mejs.TrackFormatParser.split2(t,/\r?\n/),u={text:[],times:[]};s<o.length;s++){if(n=this.pattern_timecode.exec(o[s]),n&&s<o.length){for(s-1>=0&&""!==o[s-1]&&(i=o[s-1]),s++,r=o[s],s++;""!==o[s]&&s<o.length;)r=r+"\n"+o[s],s++;r=e.trim(r).replace(/(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/gi,"<a href='$1' target='_blank'>$1</a>"),u.text.push(r),u.times.push({identifier:i,start:0===mejs.Utility.convertSMPTEtoSeconds(n[1])?.2:mejs.Utility.convertSMPTEtoSeconds(n[1]),stop:mejs.Utility.convertSMPTEtoSeconds(n[3]),settings:n[5]})}i=""}return u}},dfxp:{parse:function(t){t=e(t).filter("tt");var n,r,i=0,s=t.children("div").eq(0),o=s.find("p"),u=t.find("#"+s.attr("style")),f={text:[],times:[]};if(u.length){var l=u.removeAttr("id").get(0).attributes;if(l.length)for(n={},i=0;i<l.length;i++)n[l[i].name.split(":")[1]]=l[i].value}for(i=0;i<o.length;i++){var c,h={start:null,stop:null,style:null};if(o.eq(i).attr("begin")&&(h.start=mejs.Utility.convertSMPTEtoSeconds(o.eq(i).attr("begin"))),!h.start&&o.eq(i-1).attr("end")&&(h.start=mejs.Utility.convertSMPTEtoSeconds(o.eq(i-1).attr("end"))),o.eq(i).attr("end")&&(h.stop=mejs.Utility.convertSMPTEtoSeconds(o.eq(i).attr("end"))),!h.stop&&o.eq(i+1).attr("begin")&&(h.stop=mejs.Utility.convertSMPTEtoSeconds(o.eq(i+1).attr("begin"))),n){c="";for(var p in n)c+=p+":"+n[p]+";"}c&&(h.style=c),0===h.start&&(h.start=.2),f.times.push(h),r=e.trim(o.eq(i).html()).replace(/(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/gi,"<a href='$1' target='_blank'>$1</a>"),f.text.push(r)}return f}},split2:function(e,t){return e.split(t)}},3!="x\n\ny".split(/\n/gi).length&&(mejs.TrackFormatParser.split2=function(e,t){var n,r=[],i="";for(n=0;n<e.length;n++)i+=e.substring(n,n+1),t.test(i)&&(r.push(i.replace(t,"")),i="");return r.push(i),r})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{sourcechooserText:""}),e.extend(MediaElementPlayer.prototype,{buildsourcechooser:function(t,n,r,i){var s,o=this,u=o.options.sourcechooserText?o.options.sourcechooserText:mejs.i18n.t("mejs.source-chooser");t.sourcechooserButton=e('<div class="mejs-button mejs-sourcechooser-button"><button type="button" role="button" aria-haspopup="true" aria-owns="'+o.id+'" title="'+u+'" aria-label="'+u+'"></button><div class="mejs-sourcechooser-selector mejs-offscreen" role="menu" aria-expanded="false" aria-hidden="true"><ul></ul></div></div>').appendTo(n).hover(function(){clearTimeout(s),t.showSourcechooserSelector()},function(){e(this),s=setTimeout(function(){t.hideSourcechooserSelector()},500)}).on("keydown",function(n){var r=n.keyCode;switch(r){case 32:mejs.MediaFeatures.isFirefox||t.showSourcechooserSelector(),e(this).find(".mejs-sourcechooser-selector").find("input[type=radio]:checked").first().focus();break;case 13:t.showSourcechooserSelector(),e(this).find(".mejs-sourcechooser-selector").find("input[type=radio]:checked").first().focus();break;case 27:t.hideSourcechooserSelector(),e(this).find("button").focus();break;default:return!0}}).on("focusout",mejs.Utility.debounce(function(n){setTimeout(function(){var n=e(document.activeElement).closest(".mejs-sourcechooser-selector");n.length||t.hideSourcechooserSelector()},0)},100)).delegate("input[type=radio]","click",function(){e(this).attr("aria-selected",!0).attr("checked","checked"),e(this).closest(".mejs-sourcechooser-selector").find("input[type=radio]").not(this).attr("aria-selected","false").removeAttr("checked");var t=this.value;if(i.currentSrc!=t){var n=i.currentTime,r=i.paused;i.pause(),i.setSrc(t),i.addEventListener("loadedmetadata",function(e){i.currentTime=n},!0);var s=function(e){r||i.play(),i.removeEventListener("canplay",s,!0)};i.addEventListener("canplay",s,!0),i.load()}}).delegate("button","click",function(n){e(this).siblings(".mejs-sourcechooser-selector").hasClass("mejs-offscreen")?(t.showSourcechooserSelector(),e(this).siblings(".mejs-sourcechooser-selector").find("input[type=radio]:checked").first().focus()):t.hideSourcechooserSelector()});for(var f in this.node.children){var l=this.node.children[f];"SOURCE"!==l.nodeName||"probably"!=i.canPlayType(l.type)&&"maybe"!=i.canPlayType(l.type)||t.addSourceButton(l.src,l.title,l.type,i.src==l.src)}},addSourceButton:function(t,n,r,i){var s=this;(""===n||void 0==n)&&(n=t),r=r.split("/")[1],s.sourcechooserButton.find("ul").append(e('<li><input type="radio" name="'+s.id+'_sourcechooser" id="'+s.id+"_sourcechooser_"+n+r+'" role="menuitemradio" value="'+t+'" '+(i?'checked="checked"':"")+'aria-selected="'+i+'" /><label for="'+s.id+"_sourcechooser_"+n+r+'" aria-hidden="true">'+n+" ("+r+")</label></li>")),s.adjustSourcechooserBox()},adjustSourcechooserBox:function(){var e=this;e.sourcechooserButton.find(".mejs-sourcechooser-selector").height(e.sourcechooserButton.find(".mejs-sourcechooser-selector ul").outerHeight(!0))},hideSourcechooserSelector:function(){this.sourcechooserButton.find(".mejs-sourcechooser-selector").addClass("mejs-offscreen").attr("aria-expanded","false").attr("aria-hidden","true").find("input[type=radio]").attr("tabindex","-1")},showSourcechooserSelector:function(){this.sourcechooserButton.find(".mejs-sourcechooser-selector").removeClass("mejs-offscreen").attr("aria-expanded","true").attr("aria-hidden","false").find("input[type=radio]").attr("tabindex","0")}})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{contextMenuItems:[{render:function(e){return"undefined"==typeof e.enterFullScreen?null:e.isFullScreen?mejs.i18n.t("mejs.fullscreen-off"):mejs.i18n.t("mejs.fullscreen-on")},click:function(e){e.isFullScreen?e.exitFullScreen():e.enterFullScreen()}},{render:function(e){return e.media.muted?mejs.i18n.t("mejs.unmute"):mejs.i18n.t("mejs.mute")},click:function(e){e.media.muted?e.setMuted(!1):e.setMuted(!0)}},{isSeparator:!0},{render:function(e){return mejs.i18n.t("mejs.download-video")},click:function(e){window.location.href=e.media.currentSrc}}]}),e.extend(MediaElementPlayer.prototype,{buildcontextmenu:function(t,n,r,i){t.contextMenu=e('<div class="mejs-contextmenu"></div>').appendTo(e("body")).hide(),t.container.bind("contextmenu",function(e){return t.isContextMenuEnabled?(e.preventDefault(),t.renderContextMenu(e.clientX-1,e.clientY-1),!1):void 0}),t.container.bind("click",function(){t.contextMenu.hide()}),t.contextMenu.bind("mouseleave",function(){t.startContextMenuTimer()})},cleancontextmenu:function(e){e.contextMenu.remove()},isContextMenuEnabled:!0,enableContextMenu:function(){this.isContextMenuEnabled=!0},disableContextMenu:function(){this.isContextMenuEnabled=!1},contextMenuTimeout:null,startContextMenuTimer:function(){var e=this;e.killContextMenuTimer(),e.contextMenuTimer=setTimeout(function(){e.hideContextMenu(),e.killContextMenuTimer()},750)},killContextMenuTimer:function(){var e=this.contextMenuTimer;null!=e&&(clearTimeout(e),delete e,e=null)},hideContextMenu:function(){this.contextMenu.hide()},renderContextMenu:function(t,n){for(var r=this,i="",s=r.options.contextMenuItems,o=0,u=s.length;u>o;o++)if(s[o].isSeparator)i+='<div class="mejs-contextmenu-separator"></div>';else{var f=s[o].render(r);null!=f&&(i+='<div class="mejs-contextmenu-item" data-itemindex="'+o+'" id="element-'+1e6*Math.random()+'">'+f+"</div>")}r.contextMenu.empty().append(e(i)).css({top:n,left:t}).show(),r.contextMenu.find(".mejs-contextmenu-item").each(function(){var t=e(this),n=parseInt(t.data("itemindex"),10),i=r.options.contextMenuItems[n];"undefined"!=typeof i.show&&i.show(t,r),t.click(function(){"undefined"!=typeof i.click&&i.click(r),r.contextMenu.hide()})}),setTimeout(function(){r.killControlsTimer("rev3")},100)}})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{skipBackInterval:30,skipBackText:""}),e.extend(MediaElementPlayer.prototype,{buildskipback:function(t,n,r,i){var s=this,o=mejs.i18n.t("mejs.time-skip-back",s.options.skipBackInterval),u=s.options.skipBackText?s.options.skipBackText:o;e('<div class="mejs-button mejs-skip-back-button"><button type="button" aria-controls="'+s.id+'" title="'+u+'" aria-label="'+u+'">'+s.options.skipBackInterval+"</button></div>").appendTo(n).click(function(){i.setCurrentTime(Math.max(i.currentTime-s.options.skipBackInterval,0)),e(this).find("button").blur()})}})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{postrollCloseText:""}),e.extend(MediaElementPlayer.prototype,{buildpostroll:function(t,n,r,i){var s=this,o=s.options.postrollCloseText?s.options.postrollCloseText:mejs.i18n.t("mejs.close"),u=s.container.find('link[rel="postroll"]').attr("href");"undefined"!=typeof u&&(t.postroll=e('<div class="mejs-postroll-layer mejs-layer"><a class="mejs-postroll-close" onclick="$(this).parent().hide();return false;">'+o+'</a><div class="mejs-postroll-layer-content"></div></div>').prependTo(r).hide(),s.media.addEventListener("ended",function(n){e.ajax({dataType:"html",url:u,success:function(e,t){r.find(".mejs-postroll-layer-content").html(e)}}),t.postroll.show()},!1))}})}(mejs.$),function(e){e.extend(mejs.MepDefaults,{markerColor:"#E9BC3D",markers:[],markerCallback:function(){}}),e.extend(MediaElementPlayer.prototype,{buildmarkers:function(e,t,n,r){var i=0,s=-1,o=-1,u=-1,a=-1;for(i=0;i<e.options.markers.length;++i)t.find(".mejs-time-total").append('<span class="mejs-time-marker"></span>');r.addEventListener("durationchange",function(n){e.setmarkers(t)}),r.addEventListener("timeupdate",function(t){for(s=Math.floor(r.currentTime),u>s?a>s&&(a=-1):u=s,i=0;i<e.options.markers.length;++i)o=Math.floor(e.options.markers[i]),s===o&&o!==a&&(e.options.markerCallback(r,r.currentTime),a=o)},!1)},setmarkers:function(t){var n,r=this,i=0;for(i=0;i<r.options.markers.length;++i)Math.floor(r.options.markers[i])<=r.media.duration&&Math.floor(r.options.markers[i])>=0&&(n=100*Math.floor(r.options.markers[i])/r.media.duration,e(t.find(".mejs-time-marker")[i]).css({width:"1px",left:n+"%",background:r.options.markerColor}))}})}(mejs.$),typeof String.prototype.trim!="function"&&(String.prototype.trim=function(){"use strict";return this.replace(/^\s+|\s+$/g,"")}),function(e){"use strict";var t=!1,n=!1,r=[],i=/(?:(\d+):)?(\d+):(\d+)(\.\d+)?([,\-](?:(\d+):)?(\d+):(\d+)(\.\d+)?)?/,s=!1,o,u,a,f,l,c,h,p,d,v,m,g;o=function(e,t){var n=e.toString();while(n.length<t)n="0"+n;return n},e.generateTimecode=function(e,t,n){function r(e){var r,i,s,u,a;return!e||e<=0?t||!e?n?"00:00:00":"00:00":"--":(i=Math.floor(e/60/60),s=Math.floor(e/60)%60,u=Math.floor(e%60)%60,a=Math.floor(e%1*1e3),t?(r=o(s,2)+":"+o(u,2),i=o(i,2),i=i==="00"&&!n?"":i+":"):(r=i?o(s,2):s.toString(),r+=":"+o(u,2),i=i?i+":":""),a=a?"."+o(a,3):"",i+r+a)}return e[1]>0&&e[1]<9999999&&e[0]<e[1]?r(e[0])+","+r(e[1]):r(e[0])},u=e.generateTimecode,a=function(e){var t,n=0,r=0;if(e){t=e.match(i);if(t&&t.length===10)return n+=t[1]?parseInt(t[1],10)*60*60:0,n+=parseInt(t[2],10)*60,n+=parseInt(t[3],10),n+=t[4]?parseFloat(t[4]):0,n=Math.max(n,0),t[5]===undefined?[n,!1]:(r+=t[6]?parseInt(t[6],10)*60*60:0,r+=parseInt(t[7],10)*60,r+=parseInt(t[8],10),r+=t[9]?parseFloat(t[9]):0,r=Math.max(r,0),r>n?[n,r]:[n,!1])}return!1},f=function(){var e;e=a(window.location.href),e!==!1&&(t=e[0],n=e[1])},l=function(e){var t=/(^|\s)((https?:\/\/)?[\w\-]+(\.[\w\-]+)+\.?(:\d+)?(\/\S*)?)/gi;return e=e.match(t),e!==null?e[0]:e},c=function(e){window.location.hash=e},g={getItem:function(e){return!e||!this.hasItem(e)?null:window.unescape(document.cookie.replace(new RegExp("(?:^|.*;\\s*)"+window.escape(e).replace(/[\-\.\+\*]/g,"\\$&")+"\\s*\\=\\s*((?:[^;](?!;))*[^;]?).*"),"$1"))},setItem:function(e,t,n,r,i,s){if(!e||/^(?:expires|max\-age|path|domain|secure)$/.test(e))return;var o="";if(n)switch(typeof n){case"number":o="; max-age="+n;break;case"string":o="; expires="+n;break;case"object":o="; expires="+n.toGMTString()}document.cookie=window.escape(e)+"="+window.escape(t)+o+(i?"; domain="+i:"")+(r?"; path="+r:"")+(s?"; secure":"")},removeItem:function(e){if(!e||!this.hasItem(e))return;var t=new Date;t.setDate(t.getDate()-1),document.cookie=window.escape(e)+"=; expires="+t.toGMTString()+"; path=/"},hasItem:function(e){return(new RegExp("(?:^|;\\s*)"+window.escape(e).replace(/[\-\.\+\*]/g,"\\$&")+"\\s*\\=")).test(document.cookie)}},h=function(t,n){var r=n.closest(".podlovewebplayer_wrapper").find(".coverimg");n.each(function(){var n,i=null,s=e(this),o=s.data("start"),u=s.data("end"),a=s.data("enabled"),f=t.currentTime>o-.3&&t.currentTime<=u;t.buffered.length>0&&(n=t.buffered.end(0)>o),f&&(i=l(s.data("img")),i!==null&&s.hasClass("active")?r.attr("src")!==i&&i.length>5&&r.attr("src",i):r.attr("src")!==r.data("img")&&r.attr("src",r.data("img")),s.addClass("active").siblings().removeClass("active")),!a&&n&&e(s).data("enabled",!0).addClass("loaded").find("a[rel=player]").removeClass("disabled")})},p=function(e){if(r.length>1)return;var i=e.data.player;t!==!1&&(i.lastCheck===undefined||Math.abs(t-i.lastCheck)>1)&&(i.setCurrentTime(t),i.lastCheck=t,t=!1),n!==!1&&i.currentTime>=n&&(i.pause(),n=!1)},d=function(e){var t;r
.length===1&&(t="t="+u([e.data.player.currentTime]),c(t))},v=function(t){var n,r,i,s,o,f,l,c,h,p,d,v,m="";t.chapterHeight!==""&&typeof parseInt(t.chapterHeight,10)=="number"&&(m='style="overflow-y: auto; max-height: '+parseInt(t.chapterHeight,10)+'px;"'),n=e('<div class="podlovewebplayer_chapterbox showonplay" '+m+'><table><caption>Podcast Chapters</caption><thead><tr><th scope="col" class="starttime">Chapter Start Time</th><th scope="col" class="chaptername">Chapter Title</th><th scope="col" class="timecode">Chapter Duration</th></tr></thead><tbody></tbody></table></div>'),r=n.children("table"),i=r.children("tbody"),(t.chaptersVisible==="true"||t.chaptersVisible===!0)&&n.addClass("active"),r.addClass("podlovewebplayer_chapters"),t.chapterlinks!=="false"&&r.addClass("linked linked_"+t.chapterlinks),s=t.chapters,o=0,typeof t.chapters=="string"?(s=[],e.each(t.chapters.split("\n"),function(t,n){if(!/\S/.test(n))return;f=e.trim(n),l=a(f.substring(0,f.indexOf(" "))),c=e.trim(f.substring(f.indexOf(" "))),s.push({start:l[0],code:c})})):e.each(s,function(e,t){t.code=t.title,typeof t.start=="string"&&(t.start=a(t.start)[0])}),s=s.sort(function(e,t){return e.start-t.start}),o=Math.max.apply(Math,e.map(s,function(e,t){return h=s[t+1],h&&(e.end=h.start),e.start})),p=!1;for(v=0;v<s.length;v++)s[v].image!==""&&s[v].image!==undefined&&(p=!0);return p?d=e('<tr class="chaptertr" data-start="" data-end="" data-img=""><td class="starttime"><span></span></td><td class="chapterimage"></td><td class="chaptername"></td><td class="timecode">\n<span></span>\n</td>\n</tr>'):d=e('<tr class="chaptertr" data-start="" data-end="" data-img=""><td class="starttime"><span></span></td><td class="chaptername"></td><td class="timecode">\n<span></span>\n</td>\n</tr>'),e.each(s,function(e){var n=!s[e+1],r=Math.round(this.end-this.start),a,f=d.clone();n?t.duration===0?(this.end=9999999999,this.duration="…"):(this.end=t.duration,this.duration=u([Math.round(this.end-this.start)],!1)):this.duration=u([r],!1),e%2&&f.addClass("oddchapter"),f.attr({"data-start":this.start,"data-end":this.end,"data-img":this.image!==undefined?this.image:""}),a=o>=3600,f.find(".starttime > span").text(u([Math.round(this.start)],!0,a)),this.href!==undefined?this.href!==""?f.find(".chaptername").html("<span>"+this.code+"</span>"+' <a href="'+this.href+'"></a>'):f.find(".chaptername").html("<span>"+this.code+"</span>"):f.find(".chaptername").html("<span>"+this.code+"</span>"),f.find(".timecode > span").html("<span>"+this.duration+"</span>"),p&&this.image!==undefined&&this.image!==""&&f.find(".chapterimage").html('<img src="'+this.image+'"/>'),f.appendTo(i)}),n},m=function(t,n,i){var o=e(t),a=o,l=!1,v,m,y,b,w,E,S,x;i.data("podlovewebplayer",{player:o}),o.on("error",function(){e(this).attr("src")?e(this).removeAttr("src"):e(this).children("source").length&&e(this).children("source").first().remove()}),r.length===1&&f(),t.pluginType==="flash"&&(a=e("#mep_"+t.id.substring(9))),v=i.find(".podlovewebplayer_meta"),m=i.find(".summary"),y=i.find(".podlovewebplayer_timecontrol"),b=i.find(".podlovewebplayer_sharebuttons"),w=i.find(".podlovewebplayer_downloadbuttons"),E=i.find(".podlovewebplayer_chapterbox"),S=i.find("table"),x=S.find("tr"),m.each(function(){e(this).data("height",e(this).height()+10),e(this).hasClass("active")?e(this).height(e(this).find("div.summarydiv").height()+10+"px"):e(this).height("0px")}),E.each(function(){e(this).data("height",e(this).find(".podlovewebplayer_chapters").height()),e(this).hasClass("active")?e(this).height(e(this).find(".podlovewebplayer_chapters").height()+"px"):e(this).height("0px")}),v.length===1&&(v.find("a.infowindow").click(function(){return m.toggleClass("active"),m.hasClass("active")?m.height(m.find("div.summarydiv").height()+10+60+"px"):m.css("height","0px"),!1}),v.find("a.showcontrols").on("click",function(){return y.toggleClass("active"),b!==undefined&&(b.hasClass("active")?b.removeClass("active"):w.hasClass("active")&&w.removeClass("active")),!1}),v.find("a.showsharebuttons").on("click",function(){return b.toggleClass("active"),y.hasClass("active")?y.removeClass("active"):w.hasClass("active")&&w.removeClass("active"),!1}),v.find("a.showdownloadbuttons").on("click",function(){return w.toggleClass("active"),y.hasClass("active")?y.removeClass("active"):b.hasClass("active")&&b.removeClass("active"),!1}),v.find(".bigplay").on("click",function(){if(e(this).hasClass("bigplay")){var n=e(this).parent().find(".bigplay");typeof t.currentTime=="number"&&t.currentTime>0?t.paused?(n.addClass("playing"),t.play()):(n.removeClass("playing"),t.pause()):(n.hasClass("playing")||(n.addClass("playing"),e(this).parent().parent().find(".mejs-time-buffering").show()),t.pluginType==="flash"&&t.pause(),t.play())}return!1}),i.find(".chaptertoggle").unbind("click").click(function(){return i.find(".podlovewebplayer_chapterbox").toggleClass("active"),i.find(".podlovewebplayer_chapterbox").hasClass("active")?i.find(".podlovewebplayer_chapterbox").height(parseInt(i.find(".podlovewebplayer_chapterbox").data("height"),10)+2+"px"):i.find(".podlovewebplayer_chapterbox").height("0px"),!1}),i.find(".prevbutton").click(function(){return typeof t.currentTime=="number"&&t.currentTime>0?t.currentTime>E.find(".active").data("start")+10?t.setCurrentTime(E.find(".active").data("start")):t.setCurrentTime(E.find(".active").prev().data("start")):t.play(),!1}),i.find(".nextbutton").click(function(){return typeof t.currentTime=="number"&&t.currentTime>0?t.setCurrentTime(E.find(".active").next().data("start")):t.play(),!1}),i.find(".rewindbutton").click(function(){return typeof t.currentTime=="number"&&t.currentTime>0?t.setCurrentTime(t.currentTime-30):t.play(),!1}),i.find(".forwardbutton").click(function(){return typeof t.currentTime=="number"&&t.currentTime>0?t.setCurrentTime(t.currentTime+30):t.play(),!1}),i.find(".currentbutton").click(function(){var r=n.sharewholeepisode===!0?"":"%23t%3D"+u([t.currentTime]);return window.prompt("This URL directly points to this episode on the current time",e(this).closest(".podlovewebplayer_wrapper").find(".episodetitle a").attr("href")+r),!1}),i.find(".tweetbutton").click(function(){var r=n.sharewholeepisode===!0?"":"%23t%3D"+u([t.currentTime]);return window.open("https://twitter.com/share?text="+encodeURIComponent(e(this).closest(".podlovewebplayer_wrapper").find(".episodetitle a").text())+"&url="+encodeURIComponent(e(this).closest(".podlovewebplayer_wrapper").find(".episodetitle a").attr("href"))+r,"tweet it","width=550,height=420,resizable=yes"),!1}),i.find(".fbsharebutton").click(function(){var r=n.sharewholeepisode===!0?"":"%23t%3D"+u([t.currentTime]);return window.open("http://www.facebook.com/share.php?t="+encodeURIComponent(e(this).closest(".podlovewebplayer_wrapper").find(".episodetitle a").text())+"&u="+encodeURIComponent(e(this).closest(".podlovewebplayer_wrapper").find(".episodetitle a").attr("href"))+r,"share it","width=550,height=340,resizable=yes"),!1}),i.find(".gplusbutton").click(function(){var r=n.sharewholeepisode===!0?"":"%23t%3D"+u([t.currentTime]);return window.open("https://plus.google.com/share?title="+encodeURIComponent(e(this).closest(".podlovewebplayer_wrapper").find(".episodetitle a").text())+"&url="+encodeURIComponent(e(this).closest(".podlovewebplayer_wrapper").find(".episodetitle a").attr("href"))+r,"plus it","width=550,height=420,resizable=yes"),!1}),i.find(".adnbutton").click(function(){var r=n.sharewholeepisode===!0?"":"%23t%3D"+u([t.currentTime]);return window.open("https://alpha.app.net/intent/post?text="+encodeURIComponent(e(this).closest(".podlovewebplayer_wrapper").find(".episodetitle a").text())+"%20"+encodeURIComponent(e(this).closest(".podlovewebplayer_wrapper").find(".episodetitle a").attr("href"))+r,"plus it","width=550,height=420,resizable=yes"),!1}),i.find(".mailbutton").click(function(){var r=n.sharewholeepisode===!0?"":"%23t%3D"+u([t.currentTime]);return window.location="mailto:?subject="+encodeURIComponent(e(this).closest(".podlovewebplayer_wrapper").find(".episodetitle a").text())+"&body="+encodeURIComponent(e(this).closest(".podlovewebplayer_wrapper").find(".episodetitle a").text())+"%20%3C"+encodeURIComponent(e(this).closest(".podlovewebplayer_wrapper").find(".episodetitle a").attr("href"))+r+"%3E",!1}),i.find(".fileselect").change(function(){var t,n;return e(this).parent().find(".fileselect option:selected").each(function(){t=e(this).data("dlurl")}),e(this).parent().find(".downloadbutton").each(function(){n=t.split("/"),n=n[n.length-1],e(this).attr("href",t),e(this).attr("download",n)}),!1}),i.find(".openfilebutton").click(function(){return e(this).parent().find(".fileselect option:selected").each(function(){window.open(e(this).data("url"),"Podlove Popup","width=550,height=420,resizable=yes")}),!1}),i.find(".fileinfobutton").click(function(){return e(this).parent().find(".fileselect option:selected").each(function(){window.prompt("file URL:",e(this).val())}),!1})),S.show().delegate(".chaptertr","click",function(n){if(e(this).closest("table").hasClass("linked_all")||e(this).closest("tr").hasClass("loaded")){n.preventDefault();var i=e(this).closest("tr"),s=i.data("start");r.length===1?c("t="+u([s])):l?t.setCurrentTime(s):o.one("canplay",function(){t.setCurrentTime(s)}),t.pluginType==="flash"&&t.pause(),t.play()}return!1}),S.show().delegate(".chaptertr a","click",function(t){if(e(this).closest("table").hasClass("linked_all")||e(this).closest("td").hasClass("loaded"))t.preventDefault(),window.open(e(this)[0].href,"_blank");return!1}),o.one("canplay",function(){l=!0,t.duration&&x.find(".timecode code").eq(-1).each(function(){var n,r;n=Math.floor(e(this).closest("tr").data("start")),r=Math.floor(t.duration),e(this).text(u([r-n]))}),r.length===1&&(o.bind("play timeupdate",{player:t},p).bind("pause",{player:t},d),f(),jQuery(window).bind("onhashchange hashchange onpopstate",function(e){s||f(),s=!1}))}),o.on("timeupdate",function(){h(t,x)}).on("play playing",function(){t.persistingTimer||(t.persistingTimer=window.setInterval(function(){r.length===1&&(s=!0,window.location.replace("#t="+u([t.currentTime,!1]))),g.setItem("podloveWebPlayerTime-"+n.permalink,t.currentTime,new Date(2020,1,1))},5e3)),S.find(".paused").removeClass("paused"),v.length===1&&v.find(".bigplay").addClass("playing")}).on("pause",function(){window.clearInterval(t.persistingTimer),t.persistingTimer=null,v.length===1&&v.find(".bigplay").removeClass("playing")})},e.fn.podlovewebplayer=function(i){var s={defaultVideoWidth:480,defaultVideoHeight:270,videoWidth:-1,videoHeight:-1,audioWidth:-1,audioHeight:30,startVolume:.8,loop:!1,enableAutosize:!0,features:["playpause","current","progress","duration","tracks","volume","fullscreen"],alwaysShowControls:!1,iPadUseNativeControls:!1,iPhoneUseNativeControls:!1,AndroidUseNativeControls:!1,alwaysShowHours:!1,showTimecodeFrameCount:!1,framesPerSecond:25,enableKeyboard:!0,pauseOtherPlayers:!0,duration:!1,plugins:[],pluginPath:"./static/"},o=e.extend({},{chapterlinks:"all",width:"100%",duration:!1,chaptersVisible:!1,timecontrolsVisible:!1,sharebuttonsVisible:!1,downloadbuttonsVisible:!1,summaryVisible:!1,hidetimebutton:!1,hidedownloadbutton:!1,hidesharebutton:!1,sharewholeepisode:!1,sources:[]},i);return this.each(function(i,u){var f=!1,l=!1,c=!1,h=0,p,d,y,b,w,E,S,x,T,N,C,k,L;o.width.toLowerCase()==="auto"?o.width="100%":o.width=o.width.replace("px",""),u.tagName==="AUDIO"?(o.audioWidth!==undefined&&(o.width=o.audioWidth),s.audioWidth=o.width,e.each(s.features,function(e){this==="fullscreen"&&s.features.splice(e,1)})):u.tagName==="VIDEO"&&(o.height!==undefined&&(s.videoWidth=o.width,s.videoHeight=o.height),e(u).attr("width")!==undefined&&(o.width=e(u).attr("width"))),o.duration&&o.duration!==parseInt(o.duration,10)&&(p=a(o.duration),o.duration=p[0]),e.each(s,function(e){o[e]!==undefined&&(s[e]=o[e])}),o.width.toString().trim()===parseInt(o.width,10).toString().trim()&&(o.width=o.width.toString().trim()+"px"),d=u,u=e(u).clone().wrap('<div class="podlovewebplayer_wrapper" style="width: '+o.width+'"></div>')[0],b=e(u).parent(),r.push(u),e(u).find("[data-pwp]").each(function(){o[e(this).data("pwp")]=e(this).html(),e(this).remove()}),e(u).find("source").each(function(){o.sources!==undefined?o.sources.push(e(this).attr("src")):o.sources[0]=e(this).attr("src")});if(o.chapters!==undefined||o.title!==undefined||o.subtitle!==undefined||o.summary!==undefined||o.poster!==undefined||e(u).attr("poster")!==undefined)f=!0,b.addClass("podlovewebplayer_"+u.tagName.toLowerCase()),u.tagName==="AUDIO"&&(e.each(s.features,function(e){this==="playpause"&&s.features.splice(e,1)}),b.prepend('<div class="podlovewebplayer_meta"></div>'),b.find(".podlovewebplayer_meta").prepend('<a class="bigplay" title="Play Episode" href="#"></a>'),o.poster!==undefined&&b.find(".podlovewebplayer_meta").append('<div class="coverart"><img class="coverimg" src="'+o.poster+'" data-img="'+o.poster+'" alt=""></div>'),e(u).attr("poster")!==undefined&&b.find(".podlovewebplayer_meta").append('<div class="coverart"><img src="'+e(u).attr("poster")+'" alt=""></div>')),u.tagName==="VIDEO"&&(b.prepend('<div class="podlovewebplayer_top"></div>'),b.append('<div class="podlovewebplayer_meta"></div>')),o.title!==undefined&&(o.permalink!==undefined?b.find(".podlovewebplayer_meta").append('<h3 class="episodetitle"><a href="'+o.permalink+'">'+o.title+"</a></h3>"):b.find(".podlovewebplayer_meta").append('<h3 class="episodetitle">'+o.title+"</h3>")),o.subtitle!==undefined?b.find(".podlovewebplayer_meta").append('<div class="subtitle">'+o.subtitle+"</div>"):(o.title!==undefined&&o.title.length<42&&o.poster===undefined&&b.addClass("podlovewebplayer_smallplayer"),b.find(".podlovewebplayer_meta").append('<div class="subtitle"></div>')),b.find(".podlovewebplayer_meta").append('<div class="togglers"></div>'),b.on("playerresize",function(){b.find(".podlovewebplayer_chapterbox").data("height",b.find(".podlovewebplayer_chapters").height()),b.find(".podlovewebplayer_chapterbox").hasClass("active")&&b.find(".podlovewebplayer_chapterbox").height(parseInt(b.find(".podlovewebplayer_chapterbox").data("height"),10)+2+"px"),b.find(".summary").data("height",b.find(".summarydiv").height()),b.find(".summary").hasClass("active")&&b.find(".summary").height(b.find(".summarydiv").height()+"px")}),o.summary!==undefined&&(w="",o.summaryVisible===!0&&(w=" active"),b.find(".togglers").append('<a href="#" class="infowindow infobuttons pwp-icon-info-circle" title="More information about this"></a>'),b.find(".podlovewebplayer_meta").after('<div class="summary'+w+'"><div class="summarydiv">'+o.summary+"</div></div>")),o.chapters!==undefined?(o.chapters.length>10&&typeof o.chapters=="string"||o.chapters.length>0&&typeof o.chapters=="object")&&b.find(".togglers").append('<a href="#" class="chaptertoggle infobuttons pwp-icon-list-bullet" title="Show/hide chapters"></a>'):e(this).parent()[0].getElementsByClassName("mp4chaps").length>0&&(o.chapters=e(this).parent()[0].getElementsByClassName("mp4chaps")[0].innerHTML.trim(),l=!0,(o.chapters.length>10&&typeof o.chapters=="string"||o.chapters.length>0&&typeof o.chapters=="object")&&b.find(".togglers").append('<a href="#" class="chaptertoggle infobuttons pwp-icon-list-bullet" title="Show/hide chapters"></a>')),o.hidetimebutton!==!0&&b.find(".togglers").append('<a href="#" class="showcontrols infobuttons pwp-icon-clock" title="Show/hide time navigation controls"></a>');E="",o.timecontrolsVisible===!0&&(E=" active"),S="",o.sharebuttonsVisible===!0&&(S=" active"),x="",o.downloadbuttonsVisible===!0&&(x=" active"),b.append('<div class="podlovewebplayer_timecontrol podlovewebplayer_controlbox'+E+'"></div>'),o.chapters!==undefined&&(b.find(".podlovewebplayer_timecontrol").append('<a href="#" class="prevbutton infobuttons pwp-icon-to-start" title="Jump backward to previous chapter"></a><a href="#" class="nextbutton infobuttons pwp-icon-to-end" title="next chapter"></a>'),b.find(".controlbox").append('<a href="#" class="prevbutton infobuttons pwp-icon-step-backward" title="previous chapter"></a><a href="#" class="nextbutton infobuttons pwp-icon-to-end" title="Jump to next chapter"></a>')),b.find(".podlovewebplayer_timecontrol").append('<a href="#" class="rewindbutton infobuttons pwp-icon-fast-bw" title="Rewind 30 seconds"></a>'),b.find(".podlovewebplayer_timecontrol").append('<a href="#" class="forwardbutton infobuttons pwp-icon-fast-fw" title="Fast forward 30 seconds"></a>'),b.closest(".podlovewebplayer_wrapper").find(".episodetitle a").attr("href")!==undefined&&o.hidesharebutton!==!0&&(b.append('<div class="podlovewebplayer_sharebuttons podlovewebplayer_controlbox'+S+'"></div>'),b.find(".togglers").append('<a href="#" class="showsharebuttons infobuttons pwp-icon-export" title="Show/hide sharing controls"></a>'),b.find(".podlovewebplayer_sharebuttons").append('<a href="#" class="currentbutton infobuttons pwp-icon-link" title="Get URL for this"></a>'),b.find(".podlovewebplayer_sharebuttons").append('<a href="#" target="_blank" class="tweetbutton infobuttons pwp-icon-twitter" title="Share this on Twitter"></a>'),b.find(".podlovewebplayer_sharebuttons").append('<a href="#" target="_blank" class="fbsharebutton infobuttons pwp-icon-facebook" title="Share this on Facebook"></a>'),b.find(".podlovewebplayer_sharebuttons").append('<a href="#" target="_blank" class="gplusbutton infobuttons pwp-icon-gplus" title="Share this on Google+"></a>'),b.find(".podlovewebplayer_sharebuttons").append('<a href="#" target="_blank" class="adnbutton infobuttons pwp-icon-appnet" title="Share this on App.net"></a>'),b.find(".podlovewebplayer_sharebuttons").append('<a href="#" target="_blank" class="mailbutton infobuttons pwp-icon-mail" title="Share this via e-mail"></a>'));if((o.downloads!==undefined||o.sources!==undefined)&&o.hidedownloadbutton!==!0){k='<select name="downloads" class="fileselect" size="1" onchange="this.value=this.options[this.selectedIndex].value;">',b.append('<div class="podlovewebplayer_downloadbuttons podlovewebplayer_controlbox'+x+'"></div>'),b.find(".togglers").append('<a href="#" class="showdownloadbuttons infobuttons pwp-icon-download" title="Show/hide download bar"></a>');if(o.downloads!==undefined)for(h=0;h<o.downloads.length;h+=1)T=parseInt(o.downloads[h].size,10)<1048704?Math.round(parseInt(o.downloads[h].size,10)/100)/10+"kB":Math.round(parseInt(o.downloads[h].size,10)/1e3/100)/10+"MB",k+='<option value="'+o.downloads[h].url+'" data-url="'+o.downloads[h].url+'" data-dlurl="'+o.downloads[h].dlurl+'">'+o.downloads[h].name+" ("+T+")</option>";else for(h=0;h<o.sources.length;h+=1)N=o.sources[h].split("."),N=N[N.length-1],k+='<option value="'+o.sources[h]+'" data-url="'+o.sources[h]+'" data-dlurl="'+o.sources[h]+'">'+N+"</option>";k+="</select>",b.find(".podlovewebplayer_downloadbuttons").append(k),o.downloads!==undefined&&o.downloads.length>0&&(C=o.downloads[0].url.split("/"),C=C[C.length-1],b.find(".podlovewebplayer_downloadbuttons").append('<a href="'+o.downloads[0].url+'" download="'+C+'" class="downloadbutton infobuttons pwp-icon-download" title="Download"></a> ')),b.find(".podlovewebplayer_downloadbuttons").append('<a href="#" class="openfilebutton infobuttons pwp-icon-link-ext" title="Open"></a> '),b.find(".podlovewebplayer_downloadbuttons").append('<a href="#" class="fileinfobutton infobuttons pwp-icon-info-circle" title="Info"></a> ')}o.chapters!==undefined&&(o.chapters.length>10&&typeof o.chapters=="string"||o.chapters.length>1&&typeof o.chapters=="object")&&(l=!0,v(o).appendTo(b)),(f||l)&&b.append('<div class="podlovewebplayer_tableend"></div>'),y=a(window.location.href),y!==!1&&r.length===1?(document.hidden!==undefined?c=document.hidden:document.mozHidden!==undefined?c=document.mozHidden:document.msHidden!==undefined?c=document.msHidden:document.webkitHidden!==undefined&&(c=document.webkitHidden),c===!0?e(u).attr({preload:"auto"}):e(u).attr({preload:"auto",autoplay:"autoplay"}),t=y[0],n=y[1]):o&&o.permalink&&(L="podloveWebPlayerTime-"+o.permalink,g.getItem(L)&&e(u).one("canplay",function(){this.currentTime=g.getItem(L)})),e(u).on("ended",function(){g.setItem("podloveWebPlayerTime-"+o.permalink,"",new Date(2e3,1,1))}),s.success=function(t){m(t,o,b),y!==!1&&r.length===1&&e("html, body").delay(150).animate({scrollTop:e(".podlovewebplayer_wrapper:first").offset().top-25})},e(d).replaceWith(b),e(u).mediaelementplayer(s)})}}(jQuery);
